 /*++ BUILD Version: 0001                                             */
 /*   -- Increment this if a change has global effects                */
 /*                                                                   */
 /* Copyright 1991-1998 Microsoft Corporation                         */
 /*                                                                   */
 /* Module Name:                                                      */
 /*                                                                   */
 /*   lmmsg.cpy                                                       */
 /*                                                                   */
 /* Abstract:                                                         */
 /*                                                                   */
 /*   This file contains structures, function prototypes, and         */
 /*   definitions for the NetMessage API.                             */
 /*                                                                   */
 /* [Environment:]                                                    */
 /*                                                                   */
 /*   User Mode - Win32                                               */
 /*                                                                   */
 /* [Notes:]                                                          */
 /*                                                                   */
 /*   You must include NETCONS.CPY before this file, since this file  */
 /*   depends on values defined in NETCONS.CPY.                       */
 /*--                                                                 */

 %dcl #LMMSG_ char ext;
 %if #LMMSG_ = '' %then %do;
 %#LMMSG_ = 'Y';


 /* Function Prototypes */

 dcl NetMessageNameAdd
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetMessageNameAdd');

 dcl NetMessageNameEnum
     entry (WCHAR(*) varz byaddr nonasgn optional,
            type DWORD,
            type LPBYTE byaddr,
            type DWORD,
            type DWORD byaddr,
            type DWORD byaddr,
            type DWORD byaddr optional)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetMessageNameEnum');

 dcl NetMessageNameGetInfo
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn,
            type DWORD,
            type LPBYTE byaddr)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetMessageNameGetInfo');

 dcl NetMessageNameDel
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetMessageNameDel');

 dcl NetMessageBufferSend
     entry (WCHAR(*) varz byaddr nonasgn optional,
            WCHAR(*) varz byaddr nonasgn,
            WCHAR(*) varz byaddr nonasgn optional,
            type LPBYTE,
            type DWORD)
     returns (type NET_API_STATUS byvalue optional)
     NET_API_FUNCTION external('NetMessageBufferSend');

 /*  Data Structures */

 define structure
   1 MSG_INFO_0,
     2 msgi0_name type LPWSTR;
 define alias  PMSG_INFO_0 handle MSG_INFO_0;
 define alias LPMSG_INFO_0 handle MSG_INFO_0;

 define structure
   1 MSG_INFO_1,
     2 msgi1_name         type LPWSTR,
     2 msgi1_forward_flag type DWORD,
     2 msgi1_forward      type LPWSTR;
 define alias  PMSG_INFO_1 handle MSG_INFO_1;
 define alias LPMSG_INFO_1 handle MSG_INFO_1;

 /* Special Values and Constants */

 /* Values for msgi1_forward_flag. */

 dcl MSGNAME_NOT_FORWARDED  fixed bin(31) value(0);
     /* Name not forwarded */
 dcl MSGNAME_FORWARDED_TO   fixed bin(31) value('04'xn);
     /* Name forward to remote station */
 dcl MSGNAME_FORWARDED_FROM fixed bin(31) value('10'xn);
     /* Name forwarded from remote station */

 %end; /*_LMMSG_ */
