 /* ++                                                                */
 /*                                                                   */
 /* Copyright (c) 1999  Microsoft Corporation                         */
 /*                                                                   */
 /* Module Name:                                                      */
 /*                                                                   */
 /*     qospol.cpy - QOS policy elements                              */
 /*                                                                   */
 /* Abstract:                                                         */
 /*                                                                   */
 /*     This module defines QOS policy elements.                      */
 /*                                                                   */
 /* Revision History:                                                 */
 /*                                                                   */
 /* --                                                                */

 %dcl #_QOSPOL_H_ char ext;
 %if #_QOSPOL_H_ = '' %then %do;
 %#_QOSPOL_H_ = 'Y';

 %dcl #WINDEF_ char ext;
 %if #WINDEF_ = '' %then %do;
   %include windef;
 %end;

 dcl PE_TYPE_APPID                         type UCHAR value(3);
 /* policy element contains Application Identity */

 /* Policy Location attribute carries sub application attributes */
 dcl PE_ATTRIB_TYPE_POLICY_LOCATOR          type UCHAR value(1);

 dcl POLICY_LOCATOR_SUB_TYPE_ASCII_DN       type UCHAR value(1);
 dcl POLICY_LOCATOR_SUB_TYPE_UNICODE_DN     type UCHAR value(2);
 dcl POLICY_LOCATOR_SUB_TYPE_ASCII_DN_ENC   type UCHAR value(3);
 dcl POLICY_LOCATOR_SUB_TYPE_UNICODE_DN_ENC type UCHAR value(4);


 /* Credentials attribute carries the application identity */
 dcl PE_ATTRIB_TYPE_CREDENTIAL              type UCHAR value(2);

 dcl CREDENTIAL_SUB_TYPE_ASCII_ID           type UCHAR value(1);
 dcl CREDENTIAL_SUB_TYPE_UNICODE_ID         type UCHAR value(2);
 dcl CREDENTIAL_SUB_TYPE_KERBEROS_TKT       type UCHAR value(3);
 dcl CREDENTIAL_SUB_TYPE_X509_V3_CERT       type UCHAR value(4);
 dcl CREDENTIAL_SUB_TYPE_PGP_CERT           type UCHAR value(5);


 /* Identity Policy Element attribute structure */
 define structure
   1 IDPE_ATTR,
     2 PeAttribLength    type USHORT,
     2 PeAttribType      type UCHAR, /* Use the #defines from above */
     2 PeAttribSubType   type UCHAR, /* Use the #defines from above */
     2 PeAttribValue (4) type UCHAR;

  define alias LPIDPE_ATTR handle IDPE_ATTR;

 dcl IDPE_ATTR_HDR_LEN                      fixed bin(31)
     value (size(: USHORT :) + size (: UCHAR :) + size (: UCHAR :));

 %RSVP_BYTE_MULTIPLE: proc (x) returns (char);
   dcl x char;
   return ('floor ((' || x || ' + 3) / 4) * 4');
 %end RSVP_BYTE_MULTIPLE;
 %dcl RSVP_BYTE_MULTIPLE entry;

 %end; /* __QOSPOL_H_ */

