 /*********************************************************************/
 /*                                                                   */
 /*  PL/I Include file: SQLSTATE.CPY                                  */
 /*                                                                   */
 /*  This file is installed in the \IBMPLI\INCLUDE\SDKWIN\ directory. */
 /*                                                                   */
 /*                                                                   */
 /*  NAME - SQLSTATE.CPY                                              */
 /*                                                                   */
 /*  DESCRIPTION                                                      */
 /*                                                                   */
 /*    This include file is translated into a PL/I include file,      */
 /*    from the C header files supplied with the                      */
 /*    IBM DATABASE 2 SOFTWARE DEVELOPERS KIT    product.             */
 /*    This include file is intended for use with the                 */
 /*    IBM DATABASE 2 SOFTWARE DEVELOPERS KIT   product.              */
 /*                                                                   */
 /*                                                                   */
 /*    (C) Copyright IBM Corp. 1994, 1996. All Rights Reserved.       */
 /*    US Government Users Restricted Rights-- Use, duplication or    */
 /*    disclosure restricted by GSA ADP Schedule Contract with        */
 /*    IBM Corp.                                                      */
 /*  Licensed Materials - Property of IBM                             */
 /*                                                                   */
 /*  Function = Include File defining:                                */
 /*               Labels for the SQL Council's SQL States             */
 /*                                                                   */
 /*  Operating System = Windows                                       */
 /*                                                                   */
 /*                                                                   */
 /*  DISCLAIMER OF WARRANTIES                                         */
 /*    The following enclosed code is sample code created by IBM    */
 /*    Corporation. This sample code is not part of any standard      */
 /*    IBM product and is provided to you solely for the purpose of   */
 /*    assisting you in the development of your applications.  The    */
 /*    code is provided "AS IS", without warranty of any kind.        */
 /*    IBM shall not be liable for any damages arising out of your    */
 /*    use of the sample code, even if IBM has been advised of the    */
 /*    possibility of such damages.                                   */
 /*                                                                   */
 /******************************************************************* */
 /*                                                                   */
 /* The last five bytes of the SQLCA contain a diagnostic code        */
 /* called SQLSTATE, which is consistent across all IBM SQL           */
 /* products.  The first character of SQLSTATE indicates whether      */
 /* the execution of the SQL statement was successful or              */
 /* unsuccessful ('0' or not).  The first two characters of           */
 /* SQLSTATE represent classes of successful and unsuccessful         */
 /* execution conditions (with '00' through '49' reserved for         */
 /* ANS-defined classes).  The class codes and their meanings are:    */
 /*                                                                   */
 /*                                                                   */
 /* 00  Unqualified Successful Completion                             */
 /* 01  Warning                                                       */
 /* 02  No Data                                                       */
 /* 03  SQL Statement Not Yet Complete                                */
 /* 07  Dynamic SQL Error                                             */
 /* 08  Connection exception was detected                             */
 /* 09  Triggered Action Exception                                    */
 /* 0A  Feature Not Supported                                         */
 /* 0D  Invalid Target Type Specification                             */
 /* 0E  Invalid Schema Name List Specification                        */
 /* 0F  Invalid Token                                                 */
 /* 0W  Resignal When Handler Not Active                              */
 /* 0W  Prohibited Statement Encounetered During Trigger              */
 /* 20  Case Not Found for Case Statement                             */
 /* 21  Cardinality Violation                                         */
 /* 22  Data Exception                                                */
 /* 23  Constraint Violation                                          */
 /* 24  Invalid Cursor State                                          */
 /* 24  Invalid Transaction State                                     */
 /* 26  Invalid SQL Statement Identifier                              */
 /* 27  Triggered Data Change Violation                               */
 /* 28  Invalid Authorization Specification                           */
 /* 2B  Dependent Privilege Descriptors Still Exist                   */
 /* 2C  Invalid Character Set Name                                    */
 /* 2D  Invalid Transaction Termination                               */
 /* 2E  Invalid Connection Name                                       */
 /* 2F  SQL Function Exception                                        */
 /* 33  Invalid SQL Descriptor Name                                   */
 /* 34  Invalid Cursor Name                                           */
 /* 35  Invalid Condition Number                                      */
 /* 37  Syntax Error                                                  */
 /* 38  External Function Exception                                   */
 /* 39  External Function Call Exception                              */
 /* 3B  Savepoint Exception                                           */
 /* 3C  Ambiguous Cursor Name                                         */
 /* 3D  Invalid Catalog Name                                          */
 /* 3E  Invalid Schema (Collection) Name                              */
 /* 40  Serialization Failure                                         */
 /* 42  Authorization Violation                                       */
 /* 51  Invalid Application State                                     */
 /* 52  Duplicate or Undefined Name                                   */
 /* 53  Invalid Operand or Inconsistent Specification                 */
 /* 54  SQL or Product Limit Exceeded                                 */
 /* 55  Object Not in Prerequisite State                              */
 /* 56  Miscellaneous SQL or Product Restriction                      */
 /* 57  Resource Not Available or Operator Intervention               */
 /* 58  System Error                                                  */
 /*                                                                   */
 /*********************************************************************/
 %dcl SQL_H_SQLSTATE char ext;
 %if SQL_H_SQLSTATE = '' %then %do;
 %SQL_H_SQLSTATE = 'Y';


 /* SQLSTATE CLASSES */

 dcl SQLSTATE_CLASS_SUCCESS          char value("00");
 dcl SQLSTATE_CLASS_WARNING          char value("01");
 dcl SQLSTATE_CLASS_NO_DATA          char value("02");
 dcl SQLSTATE_CLASS_CONNECT_EXCEPT   char value("08");
 dcl SQLSTATE_CLASS_CARDINALITY      char value("21");
 dcl SQLSTATE_CLASS_DATA_EXCEPT      char value("22");
 dcl SQLSTATE_CLASS_CONSTRAINT       char value("23");
 dcl SQLSTATE_CLASS_INV_CURS_STATE   char value("24");
 dcl SQLSTATE_CLASS_INV_STMT_ID      char value("26");
 dcl SQLSTATE_CLASS_SYNTAX           char value("37");
 dcl SQLSTATE_CLASS_SERIALIZATION    char value("40");
 dcl SQLSTATE_CLASS_AUTHORZATION     char value("42");
 dcl SQLSTATE_CLASS_INV_APP_STATE    char value("51");
 dcl SQLSTATE_CLASS_DUP_UNDEF_NAME   char value("52");
 dcl SQLSTATE_CLASS_INV_OPERAND      char value("53");
 dcl SQLSTATE_CLASS_LIMIT            char value("54");
 dcl SQLSTATE_CLASS_PREREQ_STATE     char value("55");
 dcl SQLSTATE_CLASS_MISC_RESTRICT    char value("56");
 dcl SQLSTATE_CLASS_RESOURCE         char value("57");
 dcl SQLSTATE_CLASS_SYSTEM_ERROR     char value("58");

 /* SQLSTATES */

 dcl SQL_EXEC_OK                     char value("00000");
 dcl SQL_WARN_DISCONNECT_ERR         char value("01002");
 dcl SQL_WARN_NULL_VAL_ELIMINATED    char value("01003");
 dcl SQL_WARN_VAL_TRUNC              char value("01004");
 dcl SQL_WARN_INSUFF_ITEM_DESCRIPT   char value("01005");
 dcl SQL_WARN_NOT_ALL_PRIVS_GRANTED  char value("01007");
 dcl SQL_STATE_0100E                 char value("0100E");
 dcl SQL_WARN_STR_TRUNC              char value("01501");
 dcl SQL_WARN_NULLS_ELIM             char value("01502");
 dcl SQL_WARN_COLS_TOOMANY           char value("01503");
 dcl SQL_WARN_STMT_NOWHERE           char value("01504");
 dcl SQL_WARN_STMT_NOTEXEC           char value("01505");
 dcl SQL_WARN_DATE_ADJ               char value("01506");
 dcl SQL_WARN_CURSOR_NOT_BLOCKED     char value("01509");
 dcl SQL_WARN_HOST_NULL_COL_RANGE    char value("01515");
 dcl SQL_WARN_WITH_GRANT_IGNORED     char value("01516");
 dcl SQL_WARN_CHAR_SUB               char value("01517");
 dcl SQL_WARN_HOST_NULL_NUM_RANGE    char value("01519");
 dcl SQL_WARN_VAR_NOWNULL            char value("01520");
 dcl SQL_WARN_TABLE_UNDEF            char value("01522"); /* Planned */
 dcl SQL_WARN_NULLS2_ELIM            char value("01524");
 dcl SQL_WARN_ISO_ESCAL              char value("01526");
 dcl SQL_WARN_REG_NOTEXIST           char value("01527"); /* Planned */
 dcl SQL_WARN_WHERE_IGNORE           char value("01528"); /* Planned */
 dcl SQL_WARN_NAME_UNDEF             char value("01532"); /* Planned */
 dcl SQL_WARN_USE_SBCS_CHARS_ONLY    char value("01539");
 dcl SQL_WARN_OP_NOPRIV              char value("01542"); /* Planned */
 dcl SQL_WARN_REF_IGNORE             char value("01543");
 dcl SQL_WARN_NAME_INTERP            char value("01545");
 dcl SQL_WARN_OBJ_NOPRIV             char value("01548");
 dcl SQL_WARN_PACK_PRIV              char value("01549"); /* Planned */
 dcl SQL_WARN_INDEX_EXIST            char value("01550");
 dcl SQL_WARN_NEWLOGPATH_INV         char value("01562");
 dcl SQL_WARN_CURR_LOGPATH_INV       char value("01563");
 dcl SQL_WARN_HOST_NULL_DIV_ZERO     char value("01564");
 dcl SQL_WARN_AUTO_CHECK_PEND_STATE  char value("01586");
 dcl SQL_WARN_KEYWORD_REDUNDANT      char value("01589");
 dcl SQL_WARN_VAL_MAY_BE_TRUNC       char value("01592");
 dcl SQL_WARN_VAL_COULD_BE_TRUNC     char value("01593");
 dcl SQL_WARN_INSUFF_DESCRIPTORS     char value("01594");
 dcl SQL_WARN_OLD_VIEW_REPLACED      char value("01595");
 dcl SQL_WARN_NO_COMPFUNC_FOR_LSTR   char value("01596");
 dcl SQL_WARN_EVMON_STATE_NOT_SET    char value("01598");
 dcl SQL_WARN_REBIND_OPTS_IGNORED    char value("01599");
 dcl SQL_WARN_CONN_DISABLED          char value("01601");
 dcl SQL_WARN_SUB_OPTIMAL_QUERY      char value("01602");
 dcl SQL_WARN_CONSTRAINT_VIO_MOVED   char value("01603");
 dcl SQL_WARN_EXPLAIN_MODE_RESTRICT  char value("01604");
 dcl SQL_WARN_POSSIBLE_INFINIT_LOOP  char value("01605");
 dcl SQL_WARN_DIR_EMPTY              char value("01606");
 dcl SQL_WARN_CLAUSE_VAL_REPLACED    char value("01608");
 dcl SQL_WARN_MAX_QUERY_RESULT_SET   char value("01609");
 dcl SQL_WARN_MORE_RESULT_SETS       char value("01610");
 dcl SQL_WARN_NEXT_RESULT_SET        char value("01611");
 dcl SQL_WARN_COST_EXCEED_LIMIT      char value("01616");
 dcl SQL_WARN_REDIST_REQUIRED        char value("01618");
 dcl SQL_WARN_UNIONALL_TABLES_SAME   char value("01620");
 dcl SQL_WARN_LOB_CHANGED            char value("01621");
 dcl SQL_WARN_SYSTEM_ERROR           char value("01622");
 dcl SQL_WARN_DEGREE_IGNORED         char value("01623");
 dcl SQL_WARN_ONE_ACTIVE_BUFFPOOL    char value("01626");
 dcl SQL_WARN_DATALINK_VAL_INVAL     char value("01627");
 dcl SQL_WARN_RESOURCE_UNAVAIL       char value("01630");
 dcl SQL_NUM_CONN_EXCEEDED           char value("01632");
 dcl SQL_SUMM_TABLE_NO_OPTIMIZE      char value("01633");
 dcl SQL_INTEGRITY_UNVERIFIED        char value("01636");
 dcl SQL_DEBUGGER_NOT_ENABLED        char value("01637");
 dcl SQL_STATE_01639                 char value("01639");
 dcl SQL_STATE_01641                 char value("01641");
 dcl SQL_STATE_01642                 char value("01642");
 dcl SQL_STATE_01643                 char value("01643");
 dcl SQL_STATE_01645                 char value("01645");
 dcl SQL_STATE_01653                 char value("01653");
 dcl SQL_WARN_INVALID_CURSOR_POS     char value("01S06");
 dcl SQL_WARN_UDF_RETURNS_STATE      char value("01Hxx");

 dcl SQL_NODATA_EXCEPTION            char value("02000");
 dcl SQL_NODATA_UHOLE                char value("02501"); /* Planned */
 dcl SQL_NODATA_DHOLE                char value("02502"); /* Planned */
 dcl SQL_INV_NUM_HOST_VARS           char value("07001");
 dcl SQL_INV_PARM_OR_CB              char value("07002");
 dcl SQL_INV_EXECUTE_STMT            char value("07003");
 dcl SQL_USING_CLAUSE_REQUIRED       char value("07004");
 dcl SQL_INV_PREP_STMT_CURSOR        char value("07005");
 dcl SQL_HOSTVAR_NOT_USABLE          char value("07006");
 dcl SQL_CONN_FAILED                 char value("08001");
 dcl SQL_CONN_ALREADY_EXIST          char value("08002");
 dcl SQL_CONN_DOES_NOT_EXIT          char value("08003");
 dcl SQL_CONN_REJECTED_BY_SERVER     char value("08004");
 dcl SQL_CONN_RESOLUTION_UNKNOWN     char value("08007");
 dcl SQL_CONN_FAILED_NO_TM           char value("08502");
 dcl SQL_TRIGGER_ERROR               char value("09000");
 dcl SQL_PROC_NOT_CONNECTABLE        char value("0A001");
 dcl SQL_LOB_NOVALUE_TOKEN_VAR       char value("0F001");
 dcl SQL_CARD_VALUE_TOOMANY          char value("21000");
 dcl SQL_CARD_INS_MULTIROW           char value("21501");
 dcl SQL_CARD_UPD_MULTIROW           char value("21502");
 dcl SQL_CARD_DEL_MULTIROW           char value("21504");
 dcl SQL_DATA_ONE_ROW                char value("21505");
 dcl SQL_DATA_CHAR_RTRUNC            char value("22001");
 dcl SQL_DATA_INDICATOR_NULL         char value("22002");
 dcl SQL_DATA_NUM_RANGE              char value("22003");
 dcl SQL_DATA_FETCH_INV              char value("22006"); /* Planned */
 dcl SQL_DATA_FORMAT_INV             char value("22007");
 dcl SQL_DATA_DATETIME_OV            char value("22008");
 dcl SQL_DATA_STR_RANGE              char value("22011");
 dcl SQL_DATA_DIV_ZERO               char value("22012");
 dcl SQL_DATA_INV_CAST_CHAR          char value("22018");
 dcl SQL_DATA_LIKE_INV_CHAR          char value("22019"); /* Planned */
 dcl SQL_DATA_NULL_MISSING           char value("22024");
 dcl SQL_DATA_LIKE_INV_ESC           char value("22025");
 dcl SQL_NULL_INSTANCE_MUT           char value("2202D");
 dcl SQL_DATA_LENGTH_RANGE           char value("22501");
 dcl SQL_DATA_STR_INV                char value("22503");
 dcl SQL_DATA_DATA_BADFORM           char value("22504");
 dcl SQL_DATA_DATETIME_REG_INV       char value("22506");
 dcl SQL_DATA_TYPE_CANTUSE           char value("22507");
 dcl SQL_DATA_TYPE_INCOMPAT          char value("22509");
 dcl SQL_HOSTVAR_NEG_INDVAR          char value("22512");
 dcl SQL_DATA_INDEX_DUP              char value("22515");
 dcl SQL_DATA_STR_CANTUSE_XLATE      char value("22517");
 dcl SQL_DATA_STR_CANTASGN_XLATE     char value("22518");
 dcl SQL_DATA_KEY_NOTEQUAL           char value("22520");
 dcl SQL_DATA_CCSIDVAL_INV           char value("22522");
 dcl SQL_DATA_CONVERSION_TRUNC       char value("22524");
 dcl SQL_STATE_22526                 char value("22526");
 dcl SQL_CONSTR_CHG_KEY_NOTALLOW     char value("23001");
 dcl SQL_CONSTR_ROW_NOTSATISFY_VIEW  char value("23501");
 dcl SQL_CONSTR_NULL_NOTALLOW        char value("23502");
 dcl SQL_CONSTR_VALUE_INV            char value("23503");
 dcl SQL_CONSTR_OP_RESTRICT          char value("23504");
 dcl SQL_CONSTR_INDEX_UNIQUE         char value("23505");
 dcl SQL_CONSTR_PAR_ROW_DEL_NOALLOW  char value("23511");
 dcl SQL_CONSTR_ROW_INVALID          char value("23512");
 dcl SQL_CONSTR_ROW_NONCONFORM       char value("23513");
 dcl SQL_CONSTR_VIOLATIONS           char value("23514");
 dcl SQL_CONSTR_DUP_KEY_VALUES       char value("23515");
 dcl SQL_CONSTR_FOREIGN_KEY_NOALLOW  char value("23520");
 dcl SQL_CONSTR_UPDATE_CAT_STATS     char value("23521");
 dcl SQL_CURSOR_NOTOPEN              char value("24501");
 dcl SQL_CURSOR_OPEN_ALREADY         char value("24502");
 dcl SQL_CURSOR_NOTPOS               char value("24504");
 dcl SQL_CURSOR_OPEN_NO_COMMIT       char value("24505");
 dcl SQL_CURSOR_PD_OPEN              char value("24506");
 dcl SQL_CURSOR_DELETED              char value("24507"); /* Planned */
 dcl SQL_CURSOR_DHOLE                char value("24510"); /* Planned */
 dcl SQL_CURSOR_UHOLE                char value("24511"); /* Planned */
 dcl SQL_CURSOR_AGREE                char value("24512"); /* Planned */
 dcl SQL_CURSOR_MOVED                char value("24513"); /* Planned */
 dcl SQL_CURSOR_PREVIOUS_ERROR       char value("24514");
 dcl SQL_CURSOR_ALREADY_ASSIGNED     char value("24516");
 dcl SQL_INV_EXECUTION_ENVIRONMENT   char value("25000"); /* Planned */
 dcl SQL_STATE_25001                 char value("25001");
 dcl SQL_ONLY_AS_FIRST_STATEMENT     char value("25501"); /* Planned */
 dcl SQL_IDENT_NOTEXIST              char value("26501");
 dcl SQL_IDENT_NOASSOC               char value("26503");
 dcl SQL_IDENT_SELECT                char value("26504");
 dcl SQL_IDENT_NOTSPEC               char value("26506"); /* Planned */
 dcl SQL_IDENT_NOTSRSEL              char value("26507");
 dcl SQL_IDENT_NOTSELECT             char value("26508"); /* Planned */
 dcl SQL_IDENT_DUP                   char value("26509"); /* Planned */
 dcl SQL_IDENT_HASCURSOR             char value("26510"); /* Planned */
 dcl SQL_INV_AUTHORIZATION_SPEC      char value("28000");
 dcl SQL_INV_OPERATION_FOR_ENVIR     char value("2D521");
 dcl SQL_DYNAMIC_COMMIT_INVALID      char value("2D528");
 dcl SQL_DYNAMIC_ROLLBACK_INVALID    char value("2D529");
 dcl SQL_INV_CONN_NAME               char value("2E000");
 dcl SQL_INV_CURSOR_NAME             char value("34000");
 dcl SQL_STATE_36001                 char value("36001");
 dcl SQL_SYNTAX_TOKEN_MISSING        char value("37501");
 dcl SQL_SYNTAX_NAME_INVCHAR         char value("37502");
 dcl SQL_SYNTAX_STR_UNTERM           char value("37503");
 dcl SQL_SYNTAX_CONST_INV            char value("37504");
 dcl SQL_SYNTAX_NUMARGS_INV          char value("37505");
 dcl SQL_SYNTAX_HCONST_INV           char value("37506"); /* Planned */
 dcl SQL_SYNTAX_OP_INV_COL           char value("37507");
 dcl SQL_SYNTAX_OP_MARKER            char value("37509");
 dcl SQL_SYNTAX_MARKER_INV           char value("37510");
 dcl SQL_SYNTAX_COL_INV              char value("37511");
 dcl SQL_SYNTAX_STMT_BAD             char value("37512");
 dcl SQL_SYNTAX_CLAUSE_EXCLUSIVE     char value("37513"); /* Planned */
 dcl SQL_SYNTAX_KEYWORD_DUP          char value("37514");
 dcl SQL_SYNTAX_OPT_INV              char value("37516"); /* Planned */
 dcl SQL_SYNTAX_STMT_EMPTY           char value("37517");
 dcl SQL_SYNTAX_HOSTVAR_NOTALLOW     char value("37518");
 dcl SQL_SYNTAX_READONLY_NOTALLOW    char value("37520"); /* Planned */
 dcl SQL_UDF_RETURNS_ERROR_STATE     char value("38xxx");
 dcl SQL_UDF_SQL_NOT_ALLOWED         char value("38001");
 dcl SQL_UDF_MODIFIES_NOT_ALLOWED    char value("38002");
 dcl SQL_UDF_STMT_NOT_ALLOWED        char value("38003");
 dcl SQL_UDF_READS_NOT_ALLOWED       char value("38004");
 dcl SQL_UDF_CALL_ERROR              char value("38501");
 dcl SQL_UDF_EXCUTE_SQL_NOTALLOW     char value("38502");
 dcl SQL_UDF_ABNORMAL_END            char value("38503");
 dcl SQL_UDF_INTERRUPTED             char value("38504");
 dcl SQL_STATE_38506                 char value("38506");
 dcl SQL_UDF_RETURNS_INV_STATE       char value("39001");
 dcl SQL_UDF_RETURNS_RESULT_TOOLONG  char value("39501");
 dcl SQL_OUT_SQLDA_CHANGED           char value("39502");
 dcl SQL_STATE_3B001                 char value("3B001");
 dcl SQL_STATE_3B002                 char value("3B002");
 dcl SQL_STATE_3B501                 char value("3B501");
 dcl SQL_STATE_3B502                 char value("3B502");
 dcl SQL_STATE_3B503                 char value("3B503");
 dcl SQL_SERIAL_ROLLBACK             char value("40000");
 dcl SQL_ROLLBK_AUTOMATIC            char value("40001");
 dcl SQL_STMT_COMPLETION_UNKNOWN     char value("40003");
 dcl SQL_ROLLBK_DIST_ENV             char value("40502");
 dcl SQL_ROLLBK_CONN_LOST            char value("40504");
 dcl SQL_ACCESS_AUTH_NOTPRIV_OBJ     char value("42501");
 dcl SQL_ACCESS_AUTH_NOTPRIV_OP      char value("42502");
 dcl SQL_ACCESS_AUTH_NOT_AUTHORIZED  char value("42503");
 dcl SQL_ACCESS_PRIV_CANTREVOKE      char value("42504");
 dcl SQL_ACCESS_AUTH_FAIL_CONNECTION char value("42505");
 dcl SQL_ACCESS_AUTH_FAIL_OWNER      char value("42506");
 dcl SQL_ACCESS_AUTH_FAIL_SERVER     char value("42507");
 dcl SQL_ACCESS_PRIV_CANTPUBLIC      char value("42508");
 dcl SQL_STAT_NOT_AUTH_STATICRULES   char value("42509");
 dcl SQL_SYNTAX_KEYWORD_INCOMPAT     char value("42601");
 dcl SQL_SYNTAX_INVALID              char value("42601");
 dcl SQL_INVALID_CHAR_IN_NAME        char value("42602");
 dcl SQL_UNTERMINATED_STRING_CONST   char value("42603");
 dcl SQL_INVALID_NUM_OR_STR_CONST    char value("42604");
 dcl SQL_INVALID_NUM_ARGS            char value("42605");
 dcl SQL_INVALID_HEX_CONST           char value("42606");
 dcl SQL_INVALID_COL_FUNC_OPERAND    char value("42607");
 dcl SQL_INV_USE_OF_NULL_OR_DFLT     char value("42608");
 dcl SQL_ALL_OPERANDS_PARM_MARKERS   char value("42609");
 dcl SQL_PARAMETER_MARKERS_INVALID   char value("42610");
 dcl SQL_SYNTAX_LEN_SCALE_INV        char value("42611");
 dcl SQL_STMT_NOT_IN_CONTEXT         char value("42612");
 dcl SQL_SYNTAX_KEYWORD_CONFLICT     char value("42613");
 dcl SQL_DUP_KEYWORD_INV             char value("42614");
 dcl SQL_INV_ALTERNATIVE             char value("42615");
 dcl SQL_STMT_STR_BLANK_OR_EMPTY     char value("42617");
 dcl SQL_HOST_VAR_NOT_ALLOWED        char value("42618");
 dcl SQL_STATE_42620                 char value("42620");
 dcl SQL_CHECK_CONSTRAINT_INVALID    char value("42621");
 dcl SQL_NAME_OR_LABEL_IS_TOO_LONG   char value("42622");
 dcl SQL_IDENTITY_NO_DEFAULT         char value("42623");
 dcl SQL_CASE_RES_NOT_EXPRESSION     char value("42625");
 dcl SQL_RETURNS_EXPR_AS             char value("42627");
 dcl SQL_STATE_42628                 char value("42628");
 dcl SQL_STATE_42629                 char value("42629");
 dcl SQL_STATE_42630                 char value("42630");
 dcl SQL_STATE_42631                 char value("42631");
 dcl SQL_STATE_42632                 char value("42632");
 dcl SQL_DUP_COL_IN_INS_OR_UPD       char value("42701");
 dcl SQL_COLUMN_NAME_AMBIGUOUS       char value("42702");
 dcl SQL_UNDEFINED_COLUMN_NAME       char value("42703");
 dcl SQL_NAME_OBJECT_UNDEF           char value("42704");
 dcl SQL_NAME_SERVER_UNDEFINED       char value("42705");
 dcl SQL_UNNAMED_COLS_IN_RESULT_TBL  char value("42706");
 dcl SQL_NAME_NOT_IN_RESULT_TABLE    char value("42707");
 dcl SQL_NAME_DUP_COL_IN_KEY         char value("42709");
 dcl SQL_NAME_DUP_OBJ_NAME           char value("42710");
 dcl SQL_NAME_DUP_COL_NAME           char value("42711");
 dcl SQL_NAME_DUP_IN_FROM_CLAUSE     char value("42712");
 dcl SQL_DUP_OBJECT_IN_LIST          char value("42713");
 dcl SQL_NAME_NODE_NOT_FOUND_IN_DIR  char value("42720");
 dcl SQL_NAME_DUP_SIGNATURE          char value("42723");
 dcl SQL_ACCESS_UNABLE               char value("42724");
 dcl SQL_NAME_AMBIGUOUS              char value("42725");
 dcl SQL_DUP_DERIVED_TABLE_NAME      char value("42726");
 dcl SQL_NEED_DEFAULT_PRIM_TBLSPACE  char value("42727");
 dcl SQL_ACCESS_DUPLICATE_NODE       char value("42728");
 dcl SQL_ACCESS_UNDEFINED_NODE       char value("42729");
 dcl SQL_CONTNR_NAME_USEDBY_ANOTHER  char value("42730");
 dcl SQL_CONTNR_NAME_USED            char value("42731");
 dcl SQL_DUP_SCHEMA_NAME_IN_PATH     char value("42732");
 dcl SQL_STATE_42734                 char value("42734");
 dcl SQL_NODEGROUP_NOT_DEFINED       char value("42735");
 dcl SQL_STATE_42736                 char value("42736");
 dcl SQL_STATE_42737                 char value("42737");
 dcl SQL_STATE_42738                 char value("42738");
 dcl SQL_TRANSFORM_EXISTS            char value("42739");
 dcl SQL_NO_TRANSFORM_DROPPED        char value("42740");
 dcl SQL_TRANSFORM_NOT_FOUND         char value("42741");
 dcl SQL_SUBTABLE_EXISTS             char value("42742");
 dcl SQL_METHOD_NOT_FOUND            char value("42743");
 dcl SQL_STATE_42744                 char value("42744");
 dcl SQL_STATE_42745                 char value("42745");
 dcl SQL_STATE_42746                 char value("42746");
 dcl SQL_NUM_INSERTS_INVALID         char value("42802");
 dcl SQL_COLUMN_REF_INVALID          char value("42803");
 dcl SQL_CASE_RES_NOT_COMPATIBLE     char value("42804");
 dcl SQL_ORDER_BY_INT_NOT_IN_RESULT  char value("42805");
 dcl SQL_DATA_TYPES_INCOMPAT         char value("42806");
 dcl SQL_OPERATION_NOTPERMIT_ON_OBJ  char value("42807");
 dcl SQL_COLUMN_NOT_UPDATEABLE       char value("42808");
 dcl SQL_STATEMENT_NOT_APPLICABLE    char value("42809");
 dcl SQL_FOREIGN_KEY_HAS_VIEW        char value("42810");
 dcl SQL_NUM_COLS_NOT_MATCH_SELECT   char value("42811");
 dcl SQL_VIEW_NOTALLOW_WITH_CHECK    char value("42813");
 dcl SQL_SYNTAX_LANG_TYPE_INV        char value("42815");
 dcl SQL_INV_USE_DATATIME_OR_DUR     char value("42816");
 dcl SQL_OPERANDS_NOT_COMPATIBLE     char value("42818");
 dcl SQL_NUMBER_IS_REQUIRED          char value("42819");
 dcl SQL_NUM_CONST_OUT_OF_RANGE      char value("42820");
 dcl SQL_VALUE_INCOMPAT_WITH_COLUMN  char value("42821");
 dcl SQL_BAD_GROUP_ORDER_BY_EXPR     char value("42822");
 dcl SQL_MULT_COLS_IN_SELECT_SUBQ    char value("42823");
 dcl SQL_LIKE_OPERAND_INVALID        char value("42824");
 dcl SQL_UNION_OPERANDS_COL_INCOMP   char value("42825");
 dcl SQL_NUM_COLUMNS_DO_NOT_MATCH    char value("42826");
 dcl SQL_TABLE_DIFFERS_FROM_CURSOR   char value("42827");
 dcl SQL_TABLE_CANNOT_BE_MODIFIED    char value("42828");
 dcl SQL_CANNOT_MODIFY_RESULT_TBL    char value("42829");
 dcl SQL_FOREIGNKEY_NOT_LIKE_PARENT  char value("42830");
 dcl SQL_NO_NULLS_ALLOWED_IN_KEY     char value("42831");
 dcl SQL_AUTH_OPER_SYSOBJ_NOTALLOW   char value("42832");
 dcl SQL_NULL_VALUE_NOTALLOW         char value("42834");
 dcl SQL_UDF_INVALID_HANDLE_PLACED   char value("42835");
 dcl SQL_RECURS_NAME_DERIVE_TBL_INV  char value("42836");
 dcl SQL_COL_ATTRIBUTE_INCOMPAT      char value("42837");
 dcl SQL_INV_USE_OF_TABLESPACE       char value("42838");
 dcl SQL_MUST_USE_SAME_TABLESPACE    char value("42839");
 dcl SQL_AS_CAST_USE_ERROR           char value("42840");
 dcl SQL_PARM_MARKER_INV_NAME        char value("42841");
 dcl SQL_SYNTAX_TYPE_OPT_INV         char value("42842");
 dcl SQL_INV_BOOL_IN_SELECT_LIST     char value("42844");
 dcl SQL_INV_VARIANT_FUNCTION        char value("42845");
 dcl SQL_INV_CAST                    char value("42846");
 dcl SQL_PRIVS_INV_OR_INCONSIST      char value("42852");
 dcl SQL_STATE_42853                 char value("42853");
 dcl SQL_RES_COL_TYPE_INCOMPAT       char value("42854");
 dcl SQL_LOB_ASSIGN_NOT_ALLOWED      char value("42855");
 dcl SQL_STATE_42858                 char value("42858");
 dcl SQL_SYNTAX_TYPE_NOTMATCH        char value("42866");
 dcl SQL_STATE_42872                 char value("42872");
 dcl SQL_INV_SCHEMA_NAME             char value("42875");
 dcl SQL_CANNOT_QUALIFY_COLUMN       char value("42877");
 dcl SQL_SYNTAX_XTERN_NAME_INV       char value("42878");
 dcl SQL_SYNTAX_FUNC_SRC_NOTMATCH    char value("42879");
 dcl SQL_SYNTAX_CAST_ERROR           char value("42880");
 dcl SQL_NAME_SCHEMA_DIFF            char value("42882");
 dcl SQL_NAME_FUNC_SIGNATURE_UNDEF   char value("42883");
 dcl SQL_NAME_FUNC_ARGUMENT_UNDEF    char value("42884");
 dcl SQL_SYNTAX_PARM_NUM_NOTMATCH    char value("42885");
 dcl SQL_FUNC_INV_IN_CONTEXT         char value("42887");
 dcl SQL_TABLE_HAS_NO_PRIMKEY        char value("42888");
 dcl SQL_PRIMARY_KEY_ALREADY_EXIST   char value("42889");
 dcl SQL_NOT_UNIQUE_CONSTRAINT_COLS  char value("42890");
 dcl SQL_OBJ_DEPENDS_ON_THIS         char value("42893");
 dcl SQL_DEFAULT_VALUE_INV           char value("42894");
 dcl SQL_SYNTAX_HOSTVAR_TYPE_INCOMP  char value("42895");
 dcl SQL_INV_CORRELATION_REF         char value("42898");
 dcl SQL_CORRELATION_REF_NOT_ALLOW   char value("42899");
 dcl SQL_ERROR_IN_UDF                char value("428A0");
 dcl SQL_NOACCESS_HOSTFILE_VAR_FILE  char value("428A1");
 dcl SQL_ACCESS_PART_NULL            char value("428A2");
 dcl SQL_EVMON_BAD_PATH_SPECIFIED    char value("428A3");
 dcl SQL_EVMON_BAD_OPTION_SPECIFIED  char value("428A4");
 dcl SQL_INV_EXCEPTION_TABLE         char value("428A5");
 dcl SQL_EXCEP_TBL_SAME_AS_CHK_TBL   char value("428A6");
 dcl SQL_NUM_CHECK_TBLS_MISMATCH     char value("428A7");
 dcl SQL_PARENT_TBL_IN_CHCK_PEND_ST  char value("428A8");
 dcl SQL_ACCESS_INVALID_RANGE        char value("428A9");
 dcl SQL_ILLEGAL_ELMNT_NSTNG         char value("428B0");
 dcl SQL_INCORRECT_NUM_ON_NODES      char value("428B1");
 dcl SQL_CONTNR_PATH_NM_NOT_VALID    char value("428B2");
 dcl SQL_INV_SQLSTATE_FROM_APP       char value("428B3");
 dcl SQL_STATE_428B7                 char value("428B7");
 dcl SQL_DROP_ONLY_NODE              char value("428C0");
 dcl SQL_CREATE_MISSING_CLAUSE       char value("428C2");
 dcl SQL_NUM_ELEMENTS_NO_MATCH       char value("428C4");
 dcl SQL_DATATYPE_MAPPING_NOT_FOUND  char value("428C5");
 dcl SQL_TABLE_CLUSTERING_INDEX      char value("428CA");
 dcl SQL_TABLESPACE_BUFFPOOL_MATCH   char value("428CB");
 dcl SQL_DATALINK_FILE_NO_ACCESS     char value("428D1");
 dcl SQL_STATE_428D4                 char value("428D4");
 dcl SQL_STATE_428D5                 char value("428D5");
 dcl SQL_STATE_428D6                 char value("428D6");
 dcl SQL_STATE_428D7                 char value("428D7");
 dcl SQL_STATE_428D8                 char value("428D8");
 dcl SQL_INVALID_SUPER_OBJECT        char value("428DB");
 dcl SQL_TRANSFORM_FUNCTION_INV      char value("428DC");
 dcl SQL_TRANSFORM_NOT_DEFINED       char value("428DD");
 dcl SQL_PAGESIZE_NOT_SUPPORTED      char value("428DE");
 dcl SQL_CREATE_CAST_TYPE_INVALID    char value("428DF");
 dcl SQL_CREATE_CAST_FUNC_INVALID    char value("428DG");
 dcl SQL_TYPED_TABLE_OP_INVALID      char value("428DH");
 dcl SQL_INHERIT_COL_NO_DROP         char value("428DJ");
 dcl SQL_COLUMN_SCOPE_DEFINED        char value("428DK");
 dcl SQL_FUNC_PARM_SCOPE_DEFINED     char value("428DL");
 dcl SQL_TABLE_SCOPE_INVALID         char value("428DM");
 dcl SQL_RETURNS_SCOPE_NOT_SPEC      char value("428DN");
 dcl SQL_NOT_STRUCTURED_TYPE         char value("428DP");
 dcl SQL_SUBTABLE_DIFF_SCHEMA        char value("428DQ");
 dcl SQL_SUBTABLE_OP_NO_APPLY        char value("428DR");
 dcl SQL_CANNOT_DEF_SUBTABLE_INDEX   char value("428DS");
 dcl SQL_OPERAND_INVALID_TYPE        char value("428DT");
 dcl SQL_TYPE_NOT_INCLUDED           char value("428DU");
 dcl SQL_INVALID_DEF_OPERAND         char value("428DV");
 dcl SQL_CANNOT_REF_OBJECT_COL       char value("428DW");
 dcl SQL_OBJECT_COL_REQ_ROOT         char value("428DX");
 dcl SQL_NO_UPDATE_SUBTABLE_STATS    char value("428DY");
 dcl SQL_OBJECT_COLUMN_NO_UPDATE     char value("428DZ");
 dcl SQL_INDEX_DEF_NO_MATCH          char value("428E0");
 dcl SQL_RANGE_FUNC_INCONSISTENT     char value("428E1");
 dcl SQL_NUM_KEY_PARMS_MISMATCH      char value("428E2");
 dcl SQL_INDEX_FUNC_ARG_INVALID      char value("428E3");
 dcl SQL_FUNC_NOT_SUPP_CRTINDEX      char value("428E4");
 dcl SQL_STATE_428E5                 char value("428E5");
 dcl SQL_SEARCH_ARG_MISMATCH         char value("428E6");
 dcl SQL_USER_DEF_PRED_MISMATCH      char value("428E7");
 dcl SQL_SEARCH_TARGET_MISMATCH      char value("428E8");
 dcl SQL_ARG_PARM_NO_BOTH            char value("428E9");
 dcl SQL_INV_FULLSEL_TYPED_VIEW      char value("428EA");
 dcl SQL_COLUMN_NO_READ_ONLY         char value("428EB");
 dcl SQL_SUMM_TABLE_FULLSELECT_INV   char value("428EC");
 dcl SQL_STRUCT_TYPE_CANNOT_CONST    char value("428ED");
 dcl SQL_STATE_428EE                 char value("428EE");
 dcl SQL_STATE_428EF                 char value("428EF");
 dcl SQL_STATE_428EG                 char value("428EG");
 dcl SQL_STATE_428EH                 char value("428EH");
 dcl SQL_STATE_428EJ                 char value("428EJ");
 dcl SQL_STATE_428EK                 char value("428EK");
 dcl SQL_STATE_428EL                 char value("428EL");
 dcl SQL_STATE_428EM                 char value("428EM");
 dcl SQL_STATE_428EN                 char value("428EN");
 dcl SQL_STATE_428EP                 char value("428EP");
 dcl SQL_STATE_428EQ                 char value("428EQ");
 dcl SQL_STATE_428ER                 char value("428ER");
 dcl SQL_STATE_428ES                 char value("428ES");
 dcl SQL_STATE_428EU                 char value("428EU");
 dcl SQL_STATE_428EV                 char value("428EV");
 dcl SQL_STATE_428EW                 char value("428EW");
 dcl SQL_STATE_428EX                 char value("428EX");
 dcl SQL_STATE_428EY                 char value("428EY");
 dcl SQL_STATE_428EZ                 char value("428EZ");
 dcl SQL_STATE_428F0                 char value("428F0");
 dcl SQL_STATE_428F1                 char value("428F1");
 dcl SQL_STATE_428F2                 char value("428F2");
 dcl SQL_STATE_428F3                 char value("428F3");
 dcl SQL_STATE_428F4                 char value("428F4");
 dcl SQL_STATE_428F7                 char value("428F7");
 dcl SQL_STATE_428F9                 char value("428F9");
 dcl SQL_STATE_428FA                 char value("428FA");
 dcl SQL_STATE_428FB                 char value("428FB");
 dcl SQL_STATE_428FC                 char value("428FC");
 dcl SQL_STATE_428FD                 char value("428FD");
 dcl SQL_STATE_428FE                 char value("428FE");
 dcl SQL_STATE_428FI                 char value("428FI");
 dcl SQL_STATE_428FJ                 char value("428FJ");
 dcl SQL_COL_FUNC_NEEDS_COL_NAME     char value("42901");
 dcl SQL_OBJECT_ALSO_IN_FROM_CLAUSE  char value("42902");
 dcl SQL_WHERE_OR_SET_HAS_INV_REF    char value("42903");
 dcl SQL_STATE_42904                 char value("42904");
 dcl SQL_STRING_IS_TOO_LONG          char value("42907");
 dcl SQL_COLUMN_LIST_MISSING         char value("42908");
 dcl SQL_INVALID_DECIMAL_DIVIDE      char value("42911");
 dcl SQL_COLUMN_NOT_IN_UPD_CLAUSE    char value("42912");
 dcl SQL_UPDATE_OR_DELETE_INVALID    char value("42913");
 dcl SQL_TABLE_IN_SUBQUERY_AFFECTED  char value("42914");
 dcl SQL_INV_REFERENTIAL_CONSTRAINT  char value("42915");
 dcl SQL_REP_CHAIN_ALIAS_INVALID     char value("42916");
 dcl SQL_CANNOT_EXPLICITLY_DROP_OBJ  char value("42917");
 dcl SQL_NAME_RESERVED               char value("42918");
 dcl SQL_STATE_42919                 char value("42919");
 dcl SQL_CANNOT_ADD_CONTAINERS       char value("42921");
 dcl SQL_REC_NAME_DER_TLB_SPEC_INV   char value("42925");
 dcl SQL_STATE_42928                 char value("42928");
 dcl SQL_PROG_ASSUMPTIONS_INCORRECT  char value("42932");
 dcl SQL_AUTH_CREATE_SYSOBJ_NOALLOW  char value("42939");
 dcl SQL_INV_USE_LONG_COLUMN         char value("42962");
 dcl SQL_NO_SW_LICENSE               char value("42968");
 dcl SQL_PACKAGE_NOT_CREATED         char value("42969");
 dcl SQL_INV_JOIN_CONDITION          char value("42972");
 dcl SQL_STATE_42985                 char value("42985");
 dcl SQL_INV_CONN_RESET              char value("42986");
 dcl SQL_STMT_INV_FOR_STORPROC_TRIG  char value("42987");
 dcl SQL_STATE_42989                 char value("42989");
 dcl SQL_SYNTAX_SYSTEM_USE_ONLY      char value("42991");
 dcl SQL_LOB_COL_TOO_BIG_TO_LOG      char value("42993");
 dcl SQL_RAW_DEVICE_NOT_SUPP         char value("42994");
 dcl SQL_FUNC_NO_GLOBAL_TEMP         char value("42995");
 dcl SQL_UNIQUE_NOT_ALLOWED          char value("42997");
 dcl SQL_INV_FK_REF                  char value("429A0");
 dcl SQL_INV_NODEGROUP               char value("429A1");
 dcl SQL_DATAJOINER_NO_PROCESS       char value("429A9");
 dcl SQL_INV_NOTLOGINIT              char value("429AA");
 dcl SQL_TYPE_LENGTH_TOO_SMALL       char value("429B2");
 dcl SQL_NO_DEF_OBJECT_SUBTBL        char value("429B3");
 dcl SQL_FILTER_FUNC_NO_LANG         char value("429B4");
 dcl SQL_INSTANCE_PARM_TYPE_INV      char value("429B5");
 dcl SQL_STATE_429B8                 char value("429B8");
 dcl SQL_STATE_429B9                 char value("429B9");
 dcl SQL_STATE_429BA                 char value("429BA");
 dcl SQL_STATE_429BB                 char value("429BB");
 dcl SQL_STATE_429BC                 char value("429BC");
 dcl SQL_STATE_429DB                 char value("429DB");
 dcl SQL_VIEW_DEF_NOT_SATISFIED      char value("44000");
 dcl SQL_STATE_46001                 char value("46001");
 dcl SQL_STATE_46002                 char value("46002");
 dcl SQL_STATE_46003                 char value("46003");
 dcl SQL_STATE_46007                 char value("46007");
 dcl SQL_STATE_46008                 char value("46008");
 dcl SQL_STATE_46501                 char value("46501");
 dcl SQL_STATE_CALL_INV              char value("51001");
 dcl SQL_STATE_PACKAGE_NOTFOUND      char value("51002");
 dcl SQL_STATE_TOKENS_NOTMATCH       char value("51003");
 dcl SQL_STATE_ADDR_INV_DA           char value("51004");
 dcl SQL_STATE_FUNC_DISABLED         char value("51005");
 dcl SQL_STATE_STMT_NOTEXEC          char value("51007");
 dcl SQL_STATE_RELEASE_INV           char value("51008");
 dcl SQL_STATE_PROC_NOTCONNECTABLE   char value("51011");
 dcl SQL_STATE_SECTION_BINDERR       char value("51015");
 dcl SQL_STATE_USER_NOTLOGGEDON      char value("51017");
 dcl SQL_STATE_APP_UNCONNECTED       char value("51018");
 dcl SQL_STATE_CRTPACK_BUSY          char value("51019"); /* Planned */
 dcl SQL_STATE_PACK_NONE             char value("51020"); /* Planned */
 dcl SQL_ROLLBACK_REQUIRED           char value("51021");
 dcl SQL_CONN_WITH_AUTH_ALREADY      char value("51022");
 dcl SQL_STATE_DB_INUSE_ANOTH_INST   char value("51023");
 dcl SQL_INOPERAITVE_VIEW            char value("51024");
 dcl SQL_CONN_SETTINGS_IN_USE        char value("51025");
 dcl SQL_EVMON_PATH_INUSE            char value("51026");
 dcl SQL_IMMEDIATE_CHECKED_OPT_INV   char value("51027");
 dcl SQL_PACKAGE_INOPERATIVE         char value("51028");
 dcl SQL_STATE_51030                 char value("51030");
 dcl SQL_STATE_51035                 char value("51035");
 dcl SQL_STATE_51039                 char value("51039");
 dcl SQL_NAME_COL_DUP_STMT           char value("52001");
 dcl SQL_NAME_COLREF_DUP_NAME        char value("52002");
 dcl SQL_NAME_COL_UNDEF              char value("52003");
 dcl SQL_NAME_OBJ_UNDEF              char value("52004");
 dcl SQL_NAME_SERVER_UNDEF           char value("52005");
 dcl SQL_NAME_COL_INV                char value("52006");
 dcl SQL_NAME_COL_NOTRESULT          char value("52007");
 dcl SQL_NAME_CURSOR_UNDEF           char value("52008");
 dcl SQL_NAME_COL_DUP_KEYCLAUSE      char value("52009");
 dcl SQL_NAME_OBJ_DUP                char value("52010");
 dcl SQL_NAME_COL_DUP_OBJDEF         char value("52011");
 dcl SQL_NAME_TABLE_DUP              char value("52012");
 dcl SQL_NAME_CURSOR_DUP             char value("52013"); /* Planned */
 dcl SQL_NAME_CURSOR_NOTQUAL         char value("52015"); /* Planned */
 dcl SQL_NAME_COLREF_DUP_SET         char value("52016"); /* Planned */
 dcl SQL_NAME_AS_NONAME              char value("52017");
 dcl SQL_NAME_CURSOR_UNDECL          char value("52019"); /* Planned */
 dcl SQL_NAME_NODE_NOTFOUND          char value("52020");
 dcl SQL_NAME_REG_UNKNOWN            char value("52021"); /* Planned */
 dcl SQL_OPSPEC_NUMVAL_NOTSAME       char value("53002");
 dcl SQL_OPSPEC_COLUMN_INV           char value("53003");
 dcl SQL_OPSPEC_CLAUSE_NOTCOLUMN     char value("53005");
 dcl SQL_OPSPEC_OP_NOTPERMIT         char value("53007");
 dcl SQL_OPSPEC_COL_NOTUPDATABLE     char value("53008");
 dcl SQL_OPSPEC_OBJ_WRONGTYPE        char value("53009");
 dcl SQL_OPSPEC_CLAUSE_ISVIEW        char value("53010");
 dcl SQL_OPSPEC_NUMCOL_NOTSAME       char value("53011");
 dcl SQL_OPSPEC_OPTION_BAD           char value("53013");
 dcl SQL_OPSPEC_DATA_INV             char value("53015");
 dcl SQL_OPSPEC_DATETIME_INV_EXPR    char value("53016");
 dcl SQL_OPSPEC_NUMVAR_NOTSAME       char value("53017");
 dcl SQL_OPSPEC_OPERANDS_NOTCOMPAT   char value("53018");
 dcl SQL_OPSPEC_OP_NOTNUMB           char value("53019");
 dcl SQL_OPSPEC_CONS_TOOLONG         char value("53020");
 dcl SQL_OPSPEC_VAL_NOTCOMPAT_COL    char value("53021");
 dcl SQL_OPSPEC_CLAUSE_TOOMANY       char value("53023");
 dcl SQL_OPSPEC_LIKEOP_BAD           char value("53024");
 dcl SQL_OPSPEC_UNIONOP_INCOMPAT_COL char value("53025");
 dcl SQL_OPSPEC_UNIONOP_BADNUM_COL   char value("53026");
 dcl SQL_OPSPEC_TABLE_NOTSAME_CURSOR char value("53027");
 dcl SQL_OPSPEC_TABLE_CANTMODIFY     char value("53028");
 dcl SQL_OPSPEC_UPDATE_INV_ROTABLE   char value("53029");
 dcl SQL_OPSPEC_FKEY_NOTCONFORM      char value("53030");
 dcl SQL_OPSPEC_NULL_NOTALLOW        char value("53031");
 dcl SQL_OPSPEC_OP_NOTALLOW_SYSOBJ   char value("53032");
 dcl SQL_OPSPEC_FKEY_NOTALLOW_NULL   char value("53034");
 dcl SQL_OPSPEC_COL_INV              char value("53042");
 dcl SQL_OPSPEC_PRIV_INV             char value("53052");
 dcl SQL_OPSPEC_OPT_BOTH             char value("53053"); /* Planned */
 dcl SQL_OPSPEC_AUTH_BAD             char value("53056");
 dcl SQL_OPSPEC_STMT_CANTUSE         char value("53059"); /* Planned */
 dcl SQL_OPSPEC_DB_CANTUSE           char value("53061");
 dcl SQL_OPSPEC_STMT_CANTEXEC        char value("53062"); /* Planned */
 dcl SQL_OPSPEC_HOSTVAR_UNDEF        char value("53063");
 dcl SQL_OPSPEC_INFO_NOTMATCH        char value("53064"); /* Planned */
 dcl SQL_OPSPEC_OPTIONS_CONFLICT     char value("53067"); /* Planned */
 dcl SQL_OPSPEC_DESCRIPTORS_TOOFEW   char value("53070"); /* Planned */
 dcl SQL_OPSPEC_NUMSTRUCTS_NOTMATCH  char value("53071"); /* Planned */
 dcl SQL_OPSPEC_CLAUSE_INCOMPAT      char value("53072"); /* Planned */
 dcl SQL_OPSPEC_NUMROWS_INV          char value("53073"); /* Planned */
 dcl SQL_LIMIT_STMT_TOOLONG          char value("54001");
 dcl SQL_LIMIT_SCONST_TOOLONG        char value("54002");
 dcl SQL_LIMIT_NAME_TOOLONG          char value("54003");
 dcl SQL_LIMIT_NAMES_TOOMANY         char value("54004");
 dcl SQL_LIMIT_CONCAT_TOOLONG        char value("54006");
 dcl SQL_LIMIT_AS_TOOBIG             char value("54007"); /* Planned */
 dcl SQL_LIMIT_KEY_TOOLONG           char value("54008");
 dcl SQL_LIMIT_TABLE_TOOLONG         char value("54010");
 dcl SQL_LIMIT_COLS_TOOMANY          char value("54011");
 dcl SQL_LIMIT_DESCRIPTORS_TOOMANY   char value("54019");
 dcl SQL_LIMIT_ARGUMENTS_TOOMANY     char value("54023");
 dcl SQL_LIMIT_CONCUR_LOB_HANDLES    char value("54028");
 dcl SQL_LIMIT_OPEN_DIR_SCANS        char value("54029");
 dcl SQL_LIMIT_EVMON_TOOMANY         char value("54030");
 dcl SQL_LIMIT_EVTFILES_TOOMANY      char value("54031");
 dcl SQL_LIMIT_MAX_TABLE_SIZE        char value("54032");
 dcl SQL_LIMIT_PMAP_TOOMANY          char value("54033");
 dcl SQL_LIMIT_CONTNR_NAMES_LEN      char value("54034");
 dcl SQL_LIMIT_TBLSPACE_SIZE         char value("54035");
 dcl SQL_LIMIT_CONTNR_PATH_LEN       char value("54036");
 dcl SQL_LIMIT_CONTAIN_MAP_COMPLX    char value("54037");
 dcl SQL_LIMIT_CASCADED_TRIGGERS     char value("54038");
 dcl SQL_LIMIT_CONTAINER_SIZE        char value("54039");
 dcl SQL_LIMIT_TRANSITION_TBL        char value("54040");
 dcl SQL_LIMIT_TYPE_LEVEL            char value("54045");
 dcl SQL_LIMIT_MAX_PARM_INDEX        char value("54046");
 dcl SQL_LIMIT_MAX_TSPACE_SIZE       char value("54047");
 dcl SQL_NO_TEMP_TSPACE_PAGE_SIZE    char value("54048");
 dcl SQL_STATE_54049                 char value("54049");
 dcl SQL_STATE_54050                 char value("54050");
 dcl SQL_STATE_DB_NOTMIGR            char value("55001");
 dcl SQL_STATE_EXPL_TBL_NOT_DEFINED  char value("55002");
 dcl SQL_STATE_OBJ_INUSE             char value("55006");
 dcl SQL_STATE_OBJ_NOTALTER          char value("55007");
 dcl SQL_STATE_TABLE_NOKEY           char value("55008");
 dcl SQL_STATE_FILE_READONLY         char value("55009");
 dcl SQL_STATE_OBJ_HASDEPS           char value("55010"); /* Planned */
 dcl SQL_STATE_TABLE_HASCLUSTIDX     char value("55012");
 dcl SQL_STATE_TABLE_HASKEY          char value("55013");
 dcl SQL_STATE_TABLE_INVALID         char value("55019");
 dcl SQL_STATE_REFRESH_RUNNING       char value("55022"); /* Planned */
 dcl SQL_STATE_55023                 char value("55023");
 dcl SQL_CHK_CONSTRAINT_TOO_LONG     char value("55024");
 dcl SQL_STATE_DB_NEEDRESTART        char value("55025");
 dcl SQL_TRIGGER_DEF_TOO_LONG        char value("55026");
 dcl SQL_STATE_OS2_RESERVED          char value("55031"); /* Planned */
 dcl SQL_CONN_INV_DBM_STOPPED        char value("55032"); /* Planned */
 dcl SQL_MUST_COMMIT_FOR_EVMON       char value("55033");
 dcl SQL_EVMON_ACTIVE_CANT_DROP      char value("55034");
 dcl SQL_STATE_DROP_PART_KEY         char value("55037");
 dcl SQL_STATE_REBALANCING           char value("55038");
 dcl SQL_INV_STATE_CHANGE            char value("55039");
 dcl SQL_STATE_55040                 char value("55040");
 dcl SQL_REBALANCE_IN_PROGRESS       char value("55041");
 dcl SQL_TYPED_TABLE_EXISTS          char value("55043");
 dcl SQL_STATE_55045                 char value("55045");
 dcl SQL_STATE_55046                 char value("55046");
 dcl SQL_STATE_55048                 char value("55048");
 dcl SQL_MISC_NONAME                 char value("56001");
 dcl SQL_MISC_FROM_INV               char value("56002");
 dcl SQL_MISC_WHERE_INV              char value("56003");
 dcl SQL_MISC_DISTINCT_TOOMANY       char value("56005");
 dcl SQL_MISC_STR_TOOLONG            char value("56007");
 dcl SQL_MISC_LIST_MISSING           char value("56008");
 dcl SQL_MISC_DIVIDE_NEG             char value("56011");
 dcl SQL_MISC_COL_NOUPDATE           char value("56012");
 dcl SQL_MISC_UPDDEL_INV             char value("56013");
 dcl SQL_MISC_DEL_INV                char value("56014");
 dcl SQL_MISC_CONSTR_INV             char value("56015");
 dcl SQL_MISC_OBJECT_NODROP          char value("56017");
 dcl SQL_MISC_INV_COMM_ROLL          char value("56021");
 dcl SQL_MISC_REF_INV                char value("56023"); /* Planned */
 dcl SQL_MISC_ALIAS_NOTTABLE         char value("56024"); /* Planned */
 dcl SQL_MISC_OP_INV                 char value("56026");
 dcl SQL_MISC_MIXED_DBCS_INV         char value("56031");
 dcl SQL_MISC_PREP_INV               char value("56032");
 dcl SQL_MISC_OBJ_NOTCRT             char value("56039");
 dcl SQL_MISC_PACKAGE_NOTCOMMIT      char value("56043"); /* Planned */
 dcl SQL_MISC_NAME_NOTID             char value("56052"); /* Planned */
 dcl SQL_MISC_DATA_NOTSUPP           char value("56059"); /* Planned */
 dcl SQL_MISC_STMT_NOTEXEC           char value("56060"); /* Planned */
 dcl SQL_MISC_NAME_NOTMATCH          char value("56061");
 dcl SQL_MISC_ISO_NOTUSER            char value("56068");
 dcl SQL_MISC_JOIN_BADCOLS           char value("56072"); /* Planned */
 dcl SQL_MISC_NAME_REQUIRED          char value("56073"); /* Planned */
 dcl SQL_MISC_NAME_NOTQUAL           char value("56074"); /* Planned */
 dcl SQL_LOB_NOSUPP_IN_DRDA          char value("56084");
 dcl SQL_MISC_N_A_COMPOUND_SQL_ERR   char value("56091");
 dcl SQL_MISC_NAME_BOTH_USER_GROUP   char value("56092");
 dcl SQL_MISC_NO_BLOB_IN_DWNLVL_CL   char value("56093");
 dcl SQL_MISC_NOT_ALIGNED            char value("56097");
 dcl SQL_MISC_PREP_REBIND_INV        char value("56098");
 dcl SQL_MISC_REAL_NOT_SUPPORTED     char value("56099");
 dcl SQL_MISC_LOB_ACTION_FAILED      char value("560A0");
 dcl SQL_FUNC_CLAUSE_INVALID_UCS2    char value("560AA");
 dcl SQL_STATE_560AC                 char value("560AC");
 dcl SQL_STATE_560AF                 char value("560AF");
 dcl SQL_STATE_560B0                 char value("560B0");
 dcl SQL_STATE_560B1                 char value("560B1");
 dcl SQL_STATE_560B7                 char value("560B7");
 dcl SQL_RESOURCE_TABLE_UNAVAILABLE  char value("57001");
 dcl SQL_RESOURCE_BUFFPOOL_INACTIVE  char value("57003");
 dcl SQL_RESOURCE_PENDING            char value("57007");
 dcl SQL_RESOURCE_VSDB_TUNAVAIL      char value("57009");
 dcl SQL_RESOURCE_VSDB_UNAVAIL       char value("57011");
 dcl SQL_RESOURCE_NONDB_UNAVAIL_CONT char value("57012");
 dcl SQL_RESOURCE_NONDB_UNAVAIL_STOP char value("57013");
 dcl SQL_RESOURCE_CANCEL             char value("57014");
 dcl SQL_RESOURCE_TABLE_INACTIVE     char value("57016");
 dcl SQL_RESOURCE_CXLATE_NOTDEF      char value("57017");
 dcl SQL_RESOURCE_DRIVE_NOTEXIST     char value("57019");
 dcl SQL_RESOURCE_DRIVE_LOCKED       char value("57020");
 dcl SQL_RESOURCE_DRIVE_OPEN         char value("57021");
 dcl SQL_RESOURCE_NO_DBSPACES        char value("57022");
 dcl SQL_RESOURCE_MAXAPPS            char value("57030");
 dcl SQL_RESOURCE_MAXDB              char value("57032");
 dcl SQL_RESOURCE_DB_STARTED         char value("57033");
 dcl SQL_RESOURCE_DB_ACQUIRED        char value("57034");
 dcl SQL_RESOURCE_DBFILE_NOTOWN      char value("57035");
 dcl SQL_RESOURCE_LOG_NOTOWN         char value("57036");
 dcl SQL_RESOURCE_STANDALONE         char value("57041");
 dcl SQL_RESOURCE_QUIESCE_BACKUP     char value("57046");
 dcl SQL_RESOURCE_DIR_NOT_ACCESS     char value("57047");
 dcl SQL_RESOURCE_CONTNR_ACC_ERR     char value("57048");
 dcl SQL_RESOURCE_SYS_LIMIT          char value("57049");
 dcl SQL_RESOURCE_PATH               char value("57050");
 dcl SQL_RESOURCE_CPU_COST           char value("57051");
 dcl SQL_RESOURCE_UNAVAIL_NODE       char value("57052");
 dcl SQL_RESOURCE_TABSPACE_SIZE      char value("57055");
 dcl SQL_RESOURCE_NO_PACKAGE_LOCK    char value("57056");
 dcl SQL_RESOURCE_DRDA_CHAIN_COND    char value("57057");
 dcl SQL_RESOURCE_DISK_STUFFIT       char value("57901");
 dcl SQL_RESOURCE_DISK_BAD           char value("57902");
 dcl SQL_RESOURCE_DISK_FULL          char value("57903");
 dcl SQL_SYSERR_INV_SECT             char value("58003");
 dcl SQL_SYSERR_ERR_CONT             char value("58004");
 dcl SQL_SYSERR_ERR_STOP             char value("58005");
 dcl SQL_SYSERR_DIST_CONT            char value("58008");
 dcl SQL_SYSERR_DIST_DEALLOC         char value("58009");
 dcl SQL_SYSERR_DIST_STOP            char value("58010");
 dcl SQL_SYSERR_BIND_ACTIVE          char value("58011");
 dcl SQL_SYSERR_BIND_INACTIVE        char value("58012");
 dcl SQL_SYSERR_CMD_NOTSUPP          char value("58014");
 dcl SQL_SYSERR_OBJ_NOTSUPP          char value("58015");
 dcl SQL_SYSERR_PARAM_NOTSUPP        char value("58016");
 dcl SQL_SYSERR_VALUE_NOTSUPP        char value("58017");
 dcl SQL_SYSERR_MSG_NOTSUPP          char value("58018");
 dcl SQL_SYSERR_COMMERR              char value("58019");
 dcl SQL_SYSERR_NOTDEF               char value("58020");
 dcl SQL_SYSERR_PROG_CANCELED        char value("58023");
 dcl SQL_SYSERR_HOSTVARS             char value("58026"); /* Planned */
 dcl SQL_SYSERR_IOERR                char value("58030");
 dcl SQL_SYSERR_DBFILE               char value("58031");
 dcl SQL_SYSERR_STR_FENCED_FUN_FAIL  char value("58032");
 dcl SQL_SYSERR_FIND_TBSP_PG_FAIL    char value("58034");
 dcl SQL_SYSERR_FREE_TBSP_PG_FAIL    char value("58035");
 dcl SQL_SYSERR_TBLSPC_ID_NOEXIST    char value("58036");

 %end; /* SQL_H_SQLSTATE */
