 /* ++ BUILD Version: 0005                                            */
 /*    Increment this if a change has global effects                  */
 /*                                                                   */
 /* Copyright (c) 1990-1999  Microsoft Corporation                    */
 /*                                                                   */
 /* Module Name:                                                      */
 /*                                                                   */
 /*     subauth.cpy                                                   */
 /*                                                                   */
 /* Abstract:                                                         */
 /*                                                                   */
 /*     This module defines types and macros                          */
 /*     for Subauthentication Packages.                               */
 /*                                                                   */
 /* Revision History:                                                 */
 /*                                                                   */
 /* --                                                                */

 %dcl #NTSUBAUTH_ char ext;
 %if #NTSUBAUTH_ = '' %then %do;
 %#NTSUBAUTH_ = 'Y';

 %dcl #WINDEF_ char ext;
 %if #WINDEF_ = '' %then %do;
 %include windef;
 %end;

 %dcl #NTDEF_ char ext;
 %if #NTDEF_ = '' %then %do;

 %dcl #NTSTATUS_ char ext;
 %if #NTSTATUS_ = '' %then %do;
 %#NTSTATUS_ = 'Y';
 define alias  NTSTATUS type LONG;
 define alias PNTSTATUS pointer;
 %end;

 define structure
   1 UNICODE_STRING,
     2 Length        type USHORT,
     2 MaximumLength type USHORT,
     2 Buffer        type PWSTR;
 define alias PUNICODE_STRING handle UNICODE_STRING;

 define structure
   1 STRING,
     2 Length        type USHORT,
     2 MaximumLength type USHORT,
     2 Buffer        type PCHAR;
 define alias PSTRING handle STRING;

 define structure
   1 OLD_LARGE_INTEGER,
     2 LowPart  type ULONG,
     2 HighPart type LONG;
 define alias POLD_LARGE_INTEGER handle OLD_LARGE_INTEGER;

 NT_SUCCESS: proc (Status) returns (bit (1) aligned)
             options (inline reorder) internal;
   dcl Status type NTSTATUS;
   return (Status >= 0);
 end NT_SUCCESS;

 %end; /* #NTDEF_ */

 %dcl #NTSAM_SAM_HANDLE_ char ext;
 %if #NTSAM_SAM_HANDLE_ = '' %then  %do;
 define alias SAM_HANDLE  type PVOID;
 define alias PSAM_HANDLE pointer;
 %#NTSAM_SAM_HANDLE_ = 'Y';
 %end;

 %dcl #NTSAM_USER_ACCOUNT_FLAGS_ char ext;
 %if #NTSAM_USER_ACCOUNT_FLAGS_ = '' %then %do;

 /* User account control flags... */

 dcl USER_ACCOUNT_DISABLED               type ULONG value('00000001'xu);
 dcl USER_HOME_DIRECTORY_REQUIRED        type ULONG value('00000002'xu);
 dcl USER_PASSWORD_NOT_REQUIRED          type ULONG value('00000004'xu);
 dcl USER_TEMP_DUPLICATE_ACCOUNT         type ULONG value('00000008'xu);
 dcl USER_NORMAL_ACCOUNT                 type ULONG value('00000010'xu);
 dcl USER_MNS_LOGON_ACCOUNT              type ULONG value('00000020'xu);
 dcl USER_INTERDOMAIN_TRUST_ACCOUNT      type ULONG value('00000040'xu);
 dcl USER_WORKSTATION_TRUST_ACCOUNT      type ULONG value('00000080'xu);
 dcl USER_SERVER_TRUST_ACCOUNT           type ULONG value('00000100'xu);
 dcl USER_DONT_EXPIRE_PASSWORD           type ULONG value('00000200'xu);
 dcl USER_ACCOUNT_AUTO_LOCKED            type ULONG value('00000400'xu);
 dcl USER_ENCRYPTED_TEXT_PASSWORD_ALLOWED
                                         type ULONG value('00000800'xu);
 dcl USER_SMARTCARD_REQUIRED             type ULONG value('00001000'xu);
 dcl USER_TRUSTED_FOR_DELEGATION         type ULONG value('00002000'xu);
 dcl USER_NOT_DELEGATED                  type ULONG value('00004000'xu);
 dcl USER_USE_DES_KEY_ONLY               type ULONG value('00008000'xu);
 dcl USER_DONT_REQUIRE_PREAUTH           type ULONG value('00010000'xu);
 dcl NEXT_FREE_ACCOUNT_CONTROL_BIT       type ULONG
     value (raise2 (USER_DONT_REQUIRE_PREAUTH, 1));


 dcl USER_MACHINE_ACCOUNT_MASK           type ULONG
     value (ior (USER_INTERDOMAIN_TRUST_ACCOUNT,
                 USER_WORKSTATION_TRUST_ACCOUNT,
                 USER_SERVER_TRUST_ACCOUNT));

 dcl USER_ACCOUNT_TYPE_MASK              type ULONG
      value (ior (USER_TEMP_DUPLICATE_ACCOUNT,
                  USER_NORMAL_ACCOUNT,
                  USER_MACHINE_ACCOUNT_MASK));


 /* Logon times may be expressed in day, hour, or minute granularity. */
 /*                                                                   */
 /*              Days per week    = 7                                 */
 /*              Hours per week   = 168                               */
 /*              Minutes per week = 10080                             */

 dcl SAM_DAYS_PER_WEEK    type USHORT value(7);
 dcl SAM_HOURS_PER_WEEK   type USHORT value(24 * SAM_DAYS_PER_WEEK);
 dcl SAM_MINUTES_PER_WEEK type USHORT value(60 * SAM_HOURS_PER_WEEK);

 define structure
   1 LOGON_HOURS,
     2 UnitsPerWeek type USHORT,
       /* UnitsPerWeek is the number of equal length time units the   */
       /* week is divided into. This value is used to compute the     */
       /* length of the bit string in logon_hours. Must be less than  */
       /* or equal to SAM_UNITS_PER_WEEK (10080) for this release.    */

       /* LogonHours is a bit map of valid logon times. Each bit      */
       /* represents a unique division in a week. The largest bit map */
       /* supported is 1260 bytes (10080 bits), which represents      */
       /* minutes per week. In this case the first bit (bit 0, byte 0)*/
       /* is Sunday, 00:00:00 - 00-00:59, bit 1, byte 0 is Sunday,    */
       /* 00:01:00 - 00:01:59, etc. A NULL pointer means DONT_CHANGE  */
       /* for SamSetInformationUser() calls.                          */
     2 LogonHours type PUCHAR;
 define alias PLOGON_HOURS handle LOGON_HOURS;

 define structure
   1 SR_SECURITY_DESCRIPTOR,
     2 Length             type ULONG,
     2 SecurityDescriptor type PUCHAR;
 define alias PSR_SECURITY_DESCRIPTOR handle SR_SECURITY_DESCRIPTOR;

 %#NTSAM_USER_ACCOUNT_FLAGS_ = 'Y'; /* MS: #NTSAM_USER_ACCOUNT_FLAG_ */
 %end;

 %dcl #NTSAM_USER_ALL_INFO_ char ext;
 %if #NTSAM_USER_ALL_INFO_ = '' %then %do;
 define structure
   1 USER_ALL_INFORMATION,
     2 LastLogon            type LARGE_INTEGER,
     2 LastLogoff           type LARGE_INTEGER,
     2 PasswordLastSet      type LARGE_INTEGER,
     2 AccountExpires       type LARGE_INTEGER,
     2 PasswordCanChange    type LARGE_INTEGER,
     2 PasswordMustChange   type LARGE_INTEGER,
     2 UserName             type UNICODE_STRING,
     2 FullName             type UNICODE_STRING,
     2 HomeDirectory        type UNICODE_STRING,
     2 HomeDirectoryDrive   type UNICODE_STRING,
     2 ScriptPath           type UNICODE_STRING,
     2 ProfilePath          type UNICODE_STRING,
     2 AdminComment         type UNICODE_STRING,
     2 WorkStations         type UNICODE_STRING,
     2 UserComment          type UNICODE_STRING,
     2 Parameters           type UNICODE_STRING,
     2 LmPassword           type UNICODE_STRING,
     2 NtPassword           type UNICODE_STRING,
     2 PrivateData          type UNICODE_STRING,
     2 SecurityDescriptor   type SR_SECURITY_DESCRIPTOR,
     2 UserId               type ULONG,
     2 PrimaryGroupId       type ULONG,
     2 UserAccountControl   type ULONG,
     2 WhichFields          type ULONG,
     2 LogonHours           type LOGON_HOURS,
     2 BadPasswordCount     type USHORT,
     2 LogonCount           type USHORT,
     2 CountryCode          type USHORT,
     2 CodePage             type USHORT,
     2 LmPasswordPresent    type BOOLEAN,
     2 NtPasswordPresent    type BOOLEAN,
     2 PasswordExpired      type BOOLEAN,
     2 PrivateDataSensitive type BOOLEAN;
 define alias PUSER_ALL_INFORMATION handle USER_ALL_INFORMATION;
 %#NTSAM_USER_ALL_INFO_ = 'Y';
 %end;

 %dcl #NTSAM_SAM_USER_PARMS_ char ext;
 %if #NTSAM_SAM_USER_PARMS_ = '' %then %do;
 dcl USER_ALL_PARAMETERS type ULONG value('00200000'xu);
 %#NTSAM_SAM_USER_PARMS_ = 'Y';
 %end;

 dcl CLEAR_BLOCK_LENGTH fixed bin(31) value(8);

 define structure
   1 CLEAR_BLOCK,
     2 data char (CLEAR_BLOCK_LENGTH); /* not varz */

 define alias PCLEAR_BLOCK handle CLEAR_BLOCK;

 dcl CYPHER_BLOCK_LENGTH fixed bin(31) value(8);

 define structure
   1 CYPHER_BLOCK,
     2 data char (CYPHER_BLOCK_LENGTH);
 define alias PCYPHER_BLOCK handle CYPHER_BLOCK;

 define structure
   1 LM_OWF_PASSWORD,
     2 data (2) type CYPHER_BLOCK;
 define alias PLM_OWF_PASSWORD handle LM_OWF_PASSWORD;

 define alias  LM_CHALLENGE      type CLEAR_BLOCK;
 define alias PLM_CHALLENGE    handle LM_CHALLENGE;
 define alias  NT_OWF_PASSWORD   type LM_OWF_PASSWORD;
 define alias PNT_OWF_PASSWORD handle NT_OWF_PASSWORD;
 define alias  NT_CHALLENGE      type LM_CHALLENGE;
 define alias PNT_CHALLENGE    handle NT_CHALLENGE;

 dcl USER_SESSION_KEY_LENGTH fixed bin(31)
     value (CYPHER_BLOCK_LENGTH * 2);

 define structure
   1 USER_SESSION_KEY,
     2 data (2) type CYPHER_BLOCK;
 define alias PUSER_SESSION_KEY handle USER_SESSION_KEY;

 define ordinal
   NETLOGON_LOGON_INFO_CLASS
     ( NetlogonInteractiveInformation value(1),
       NetlogonNetworkInformation,
       NetlogonServiceInformation,
       NetlogonGenericInformation,
       NetlogonInteractiveTransitiveInformation,
       NetlogonNetworkTransitiveInformation,
       NetlogonServiceTransitiveInformation);

 define structure
   1 NETLOGON_LOGON_IDENTITY_INFO,
     2 LogonDomainName  type UNICODE_STRING,
     2 ParameterControl type ULONG,
     2 LogonId          type OLD_LARGE_INTEGER,
     2 UserName         type UNICODE_STRING,
     2 Workstation      type UNICODE_STRING;
 define alias PNETLOGON_LOGON_IDENTITY_INFO
        handle NETLOGON_LOGON_IDENTITY_INFO;

 define structure
   1 NETLOGON_INTERACTIVE_INFO,
     2 Identity      type NETLOGON_LOGON_IDENTITY_INFO,
     2 LmOwfPassword type LM_OWF_PASSWORD,
     2 NtOwfPassword type NT_OWF_PASSWORD;
 define alias PNETLOGON_INTERACTIVE_INFO
        handle NETLOGON_INTERACTIVE_INFO;

 define structure
   1 NETLOGON_SERVICE_INFO,
     2 Identity      type NETLOGON_LOGON_IDENTITY_INFO,
     2 LmOwfPassword type LM_OWF_PASSWORD,
     2 NtOwfPassword type NT_OWF_PASSWORD;
 define alias PNETLOGON_SERVICE_INFO
        handle NETLOGON_SERVICE_INFO;

 define structure
   1 NETLOGON_NETWORK_INFO,
     2 Identity            type NETLOGON_LOGON_IDENTITY_INFO,
     2 LmChallenge         type LM_CHALLENGE,
     2 NtChallengeResponse type STRING,
     2 LmChallengeResponse type STRING;
 define alias PNETLOGON_NETWORK_INFO handle NETLOGON_NETWORK_INFO;

 define structure
   1 NETLOGON_GENERIC_INFO,
     2 Identity    type NETLOGON_LOGON_IDENTITY_INFO,
     2 PackageName type UNICODE_STRING,
     2 DataLength  type ULONG,
     2 LogonData   type PUCHAR;
 define alias PNETLOGON_GENERIC_INFO handle NETLOGON_GENERIC_INFO;


 /* Values for Flags */
 dcl MSV1_0_PASSTHRU    type ULONG value('01'xu);
 dcl MSV1_0_GUEST_LOGON type ULONG value('02'xu);

 dcl Msv1_0SubAuthenticationRoutine
     entry (type NETLOGON_LOGON_INFO_CLASS,
            type PVOID,
            type ULONG,
            type USER_ALL_INFORMATION byaddr,
            type ULONG byaddr,
            type ULONG byaddr,
            type BOOLEAN byaddr,
            type LARGE_INTEGER byaddr,
            type LARGE_INTEGER byaddr)
     returns (type NTSTATUS byvalue optional)
     NTAPI external('Msv1_0SubAuthenticationRoutine');

 define structure
   1 MSV1_0_VALIDATION_INFO,
     2 LogoffTime      type LARGE_INTEGER,
     2 KickoffTime     type LARGE_INTEGER,
     2 LogonServer     type UNICODE_STRING,
     2 LogonDomainName type UNICODE_STRING,
     2 SessionKey      type USER_SESSION_KEY,
     2 Authoritative   type BOOLEAN,
     2 UserFlags       type ULONG,
     2 WhichFields     type ULONG,
     2 UserId          type ULONG;
 define alias PMSV1_0_VALIDATION_INFO handle MSV1_0_VALIDATION_INFO;

 /* values for WhichFields */

 dcl MSV1_0_VALIDATION_LOGOFF_TIME   type ULONG value('00000001'xu);
 dcl MSV1_0_VALIDATION_KICKOFF_TIME  type ULONG value('00000002'xu);
 dcl MSV1_0_VALIDATION_LOGON_SERVER  type ULONG value('00000004'xu);
 dcl MSV1_0_VALIDATION_LOGON_DOMAIN  type ULONG value('00000008'xu);
 dcl MSV1_0_VALIDATION_SESSION_KEY   type ULONG value('00000010'xu);
 dcl MSV1_0_VALIDATION_USER_FLAGS    type ULONG value('00000020'xu);
 dcl MSV1_0_VALIDATION_USER_ID       type ULONG value('00000040'xu);

 /* legal values for ActionsPerformed */
 dcl MSV1_0_SUBAUTH_ACCOUNT_DISABLED type ULONG value('00000001'xu);
 dcl MSV1_0_SUBAUTH_PASSWORD         type ULONG value('00000002'xu);
 dcl MSV1_0_SUBAUTH_WORKSTATIONS     type ULONG value('00000004'xu);
 dcl MSV1_0_SUBAUTH_LOGON_HOURS      type ULONG value('00000008'xu);
 dcl MSV1_0_SUBAUTH_ACCOUNT_EXPIRY   type ULONG value('00000010'xu);
 dcl MSV1_0_SUBAUTH_PASSWORD_EXPIRY  type ULONG value('00000020'xu);
 dcl MSV1_0_SUBAUTH_ACCOUNT_TYPE     type ULONG value('00000040'xu);
 dcl MSV1_0_SUBAUTH_LOCKOUT          type ULONG value('00000080'xu);

 dcl Msv1_0SubAuthenticationRoutineEx
     entry (type NETLOGON_LOGON_INFO_CLASS,
            type PVOID,
            type ULONG,
            type USER_ALL_INFORMATION byaddr,
            type SAM_HANDLE,
            type MSV1_0_VALIDATION_INFO byaddr,
            type ULONG byaddr)
     returns (type NTSTATUS byvalue optional)
     NTAPI external('Msv1_0SubAuthenticationRoutineEx');

 dcl Msv1_0SubAuthenticationRoutineGeneric
     entry (type PVOID,
            type ULONG,
            type ULONG byaddr,
            type PVOID byaddr)
     returns (type NTSTATUS byvalue optional)
     NTAPI external('Msv1_0SubAuthenticationRoutineGeneric');

 dcl Msv1_0SubAuthenticationFilter
     entry (type NETLOGON_LOGON_INFO_CLASS,
            type PVOID,
            type ULONG,
            type USER_ALL_INFORMATION byaddr,
            type ULONG byaddr,
            type ULONG byaddr,
            type BOOLEAN byaddr,
            type LARGE_INTEGER byaddr,
            type LARGE_INTEGER byaddr)
     returns (type NTSTATUS byvalue optional)
     NTAPI external('Msv1_0SubAuthenticationFilter');

 dcl STATUS_SUCCESS                type NTSTATUS  value('00000000'xn);
 dcl STATUS_INVALID_INFO_CLASS     type NTSTATUS  value('C0000003'xn);
 dcl STATUS_NO_SUCH_USER           type NTSTATUS  value('C0000064'xn);
 dcl STATUS_WRONG_PASSWORD         type NTSTATUS  value('C000006A'xn);
 dcl STATUS_PASSWORD_RESTRICTION   type NTSTATUS  value('C000006C'xn);
 dcl STATUS_LOGON_FAILURE          type NTSTATUS  value('C000006D'xn);
 dcl STATUS_ACCOUNT_RESTRICTION    type NTSTATUS  value('C000006E'xn);
 dcl STATUS_INVALID_LOGON_HOURS    type NTSTATUS  value('C000006F'xn);
 dcl STATUS_INVALID_WORKSTATION    type NTSTATUS  value('C0000070'xn);
 dcl STATUS_PASSWORD_EXPIRED       type NTSTATUS  value('C0000071'xn);
 dcl STATUS_ACCOUNT_DISABLED       type NTSTATUS  value('C0000072'xn);
 dcl STATUS_INSUFFICIENT_RESOURCES type NTSTATUS  value('C000009A'xn);
 dcl STATUS_ACCOUNT_EXPIRED        type NTSTATUS  value('C0000193'xn);
 dcl STATUS_PASSWORD_MUST_CHANGE   type NTSTATUS  value('C0000224'xn);
 dcl STATUS_ACCOUNT_LOCKED_OUT     type NTSTATUS  value('C0000234'xn);

 %end; /* _NTSUBAUTH_ */

