 /*********************************************************************/
 /*                                                                   */
 /* THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY    */
 /* OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT       */
 /* LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR       */
 /* FITNESS FOR A PARTICULAR PURPOSE.                                 */
 /*                                                                   */
 /* Copyright (c) 1993 - 1995 Microsoft Corporation.                  */
 /*               All Rights Reserved.                                */
 /*                                                                   */
 /* File:  vcr.cpy                                                    */
 /* Title:           VCR-MCI Command Table Include File               */
 /*                                                                   */
 /*********************************************************************/

 %dcl #INC_VCR char ext;
 %if #INC_VCR = '' %then %do;
 %#INC_VCR = 'Y';

 %dcl #INC_MMSYSTEM char ext;
 %if #INC_MMSYSTEM = '' %then %do;
 %include mmsystem;
 %end;

 /* string resource base for vcr device type */
 dcl MCI_VCR_OFFSET  fixed bin(31) value(1280);

 /* generic MCI commands move to MMSYSTEM.CPY */

 /* custom MCI commands for VCRs */
 dcl MCI_MARK        fixed bin(31) value(MCI_USER_MESSAGES + 0);
 dcl MCI_INDEX       fixed bin(31) value(MCI_USER_MESSAGES + 1);
 dcl MCI_SETTUNER    fixed bin(31) value(MCI_USER_MESSAGES + 2);
 dcl MCI_SETVCR      fixed bin(31) value(MCI_USER_MESSAGES + 3);
 dcl MCI_SETTIMECODE fixed bin(31) value(MCI_USER_MESSAGES + 4);

 /* flags for dwItem field of MCI_GETDEVCAPS_PARMS parameter block */
 dcl MCI_VCR_GETDEVCAPS_CAN_DETECT_LENGTH
                                      fixed bin(31) value('00004001'xn);
 dcl MCI_VCR_GETDEVCAPS_SEEK_ACCURACY fixed bin(31) value('00004002'xn);
 dcl MCI_VCR_GETDEVCAPS_HAS_CLOCK     fixed bin(31) value('00004003'xn);
 dcl MCI_VCR_GETDEVCAPS_CAN_REVERSE   fixed bin(31) value('00004004'xn);
 dcl MCI_VCR_GETDEVCAPS_NUMBER_OF_MARKS
                                      fixed bin(31) value('00004005'xn);
 dcl MCI_VCR_GETDEVCAPS_CAN_TEST      fixed bin(31) value('00004006'xn);
 dcl MCI_VCR_GETDEVCAPS_CAN_PREROLL   fixed bin(31) value('00004007'xn);
 dcl MCI_VCR_GETDEVCAPS_CAN_PREVIEW   fixed bin(31) value('00004008'xn);
 dcl MCI_VCR_GETDEVCAPS_CAN_MONITOR_SOURCES
                                      fixed bin(31) value('00004009'xn);
 dcl MCI_VCR_GETDEVCAPS_HAS_TIMECODE  fixed bin(31) value('0000400A'xn);
 dcl MCI_VCR_GETDEVCAPS_CAN_FREEZE    fixed bin(31) value('0000401B'xn);
 dcl MCI_VCR_GETDEVCAPS_CLOCK_INCREMENT_RATE
                                      fixed bin(31) value('0000401C'xn);

 /* flags for dwFlags parameter of MCI_INFO command message */
 dcl MCI_VCR_INFO_VERSION             fixed bin(31) value('00010000'xn);

 /* flags for dwFlags parameter of MCI_PLAY command message */
 dcl MCI_VCR_PLAY_REVERSE             fixed bin(31) value('00010000'xn);
 dcl MCI_VCR_PLAY_AT                  fixed bin(31) value('00020000'xn);
 dcl MCI_VCR_PLAY_SCAN                fixed bin(31) value('00040000'xn);

 /* flags for dwFlags parameter of MCI_RECORD command message */
 dcl MCI_VCR_RECORD_INITIALIZE        fixed bin(31) value('00010000'xn);
 dcl MCI_VCR_RECORD_AT                fixed bin(31) value('00020000'xn);
 dcl MCI_VCR_RECORD_PREVIEW           fixed bin(31) value('00040000'xn);

 /* flags for dwFlags parameter of MCI_CUE command message */
 dcl MCI_VCR_CUE_INPUT                fixed bin(31) value('00010000'xn);
 dcl MCI_VCR_CUE_OUTPUT               fixed bin(31) value('00020000'xn);
 dcl MCI_VCR_CUE_PREROLL              fixed bin(31) value('00040000'xn);
 dcl MCI_VCR_CUE_REVERSE              fixed bin(31) value('00080000'xn);

 /* flags for dwFlags parameter of MCI_SEEK command message */
 dcl MCI_VCR_SEEK_REVERSE             fixed bin(31) value('00010000'xn);
 dcl MCI_VCR_SEEK_MARK                fixed bin(31) value('00020000'xn);
 dcl MCI_VCR_SEEK_AT                  fixed bin(31) value('00040000'xn);

 /* flags for dwFlags parameter of MCI_SETTUNER command message */
 dcl MCI_VCR_SETTUNER_CHANNEL         fixed bin(31) value('00010000'xn);
 dcl MCI_VCR_SETTUNER_CHANNEL_UP      fixed bin(31) value('00020000'xn);
 dcl MCI_VCR_SETTUNER_CHANNEL_DOWN    fixed bin(31) value('00040000'xn);
 dcl MCI_VCR_SETTUNER_CHANNEL_SEEK_UP fixed bin(31) value('00080000'xn);
 dcl MCI_VCR_SETTUNER_CHANNEL_SEEK_DOWN
                                      fixed bin(31) value('00100000'xn);
 dcl MCI_VCR_SETTUNER_NUMBER          fixed bin(31) value('00200000'xn);

 /* flags for dwFlags parameter of MCI_SET command message */
 dcl MCI_VCR_SET_TIME_MODE            fixed bin(31) value('00010000'xn);
 dcl MCI_VCR_SET_POWER                fixed bin(31) value('00020000'xn);
 dcl MCI_VCR_SET_RECORD_FORMAT        fixed bin(31) value('00040000'xn);
 dcl MCI_VCR_SET_COUNTER_FORMAT       fixed bin(31) value('00080000'xn);
 dcl MCI_VCR_SET_INDEX                fixed bin(31) value('00100000'xn);
 dcl MCI_VCR_SET_ASSEMBLE_RECORD      fixed bin(31) value('00200000'xn);
 dcl MCI_VCR_SET_TRACKING             fixed bin(31) value('00400000'xn);
 dcl MCI_VCR_SET_SPEED                fixed bin(31) value('00800000'xn);
 dcl MCI_VCR_SET_TAPE_LENGTH          fixed bin(31) value('01000000'xn);
 dcl MCI_VCR_SET_COUNTER_VALUE        fixed bin(31) value('02000000'xn);
 dcl MCI_VCR_SET_CLOCK                fixed bin(31) value('04000000'xn);
 dcl MCI_VCR_SET_PAUSE_TIMEOUT        fixed bin(31) value('08000000'xn);
 dcl MCI_VCR_SET_PREROLL_DURATION     fixed bin(31) value('10000000'xn);
 dcl MCI_VCR_SET_POSTROLL_DURATION    fixed bin(31) value('20000000'xn);

 /* flags for dwItem parameter of MCI_SETTIMECODE commmand message */
 dcl MCI_VCR_SETTIMECODE_RECORD       fixed bin(31) value('00010000'xn);

 /* flags for dwItem field of MCI_STATUS_PARMS parameter block */
 dcl MCI_VCR_STATUS_FRAME_RATE        fixed bin(31) value('00004001'xn);
     /* Frame rate */
 dcl MCI_VCR_STATUS_SPEED             fixed bin(31) value('00004002'xn);
     /* Speed      */
 dcl MCI_VCR_STATUS_MEDIA_TYPE        fixed bin(31) value('00004003'xn);
 dcl MCI_VCR_STATUS_RECORD_FORMAT     fixed bin(31) value('00004004'xn);
 dcl MCI_VCR_STATUS_PLAY_FORMAT       fixed bin(31) value('00004005'xn);
 dcl MCI_VCR_STATUS_AUDIO_SOURCE      fixed bin(31) value('00004006'xn);
 dcl MCI_VCR_STATUS_AUDIO_SOURCE_NUMBER
                                      fixed bin(31) value('00004007'xn);
 dcl MCI_VCR_STATUS_VIDEO_SOURCE      fixed bin(31) value('00004008'xn);
 dcl MCI_VCR_STATUS_VIDEO_SOURCE_NUMBER
                                      fixed bin(31) value('00004009'xn);
 dcl MCI_VCR_STATUS_AUDIO_MONITOR     fixed bin(31) value('0000400A'xn);
 dcl MCI_VCR_STATUS_AUDIO_MONITOR_NUMBER
                                      fixed bin(31) value('0000400B'xn);
 dcl MCI_VCR_STATUS_VIDEO_MONITOR     fixed bin(31) value('0000400C'xn);
 dcl MCI_VCR_STATUS_VIDEO_MONITOR_NUMBER
                                      fixed bin(31) value('0000400D'xn);
 dcl MCI_VCR_STATUS_INDEX_ON          fixed bin(31) value('0000400E'xn);
 dcl MCI_VCR_STATUS_INDEX             fixed bin(31) value('0000400F'xn);
 dcl MCI_VCR_STATUS_COUNTER_FORMAT    fixed bin(31) value('00004010'xn);
 dcl MCI_VCR_STATUS_COUNTER_RESOLUTION
                                      fixed bin(31) value('00004011'xn);
 dcl MCI_VCR_STATUS_TIMECODE_TYPE     fixed bin(31) value('00004012'xn);
 dcl MCI_VCR_STATUS_COUNTER_VALUE     fixed bin(31) value('00004013'xn);
 dcl MCI_VCR_STATUS_TUNER_CHANNEL     fixed bin(31) value('00004014'xn);
 dcl MCI_VCR_STATUS_WRITE_PROTECTED   fixed bin(31) value('00004015'xn);
 dcl MCI_VCR_STATUS_TIMECODE_RECORD   fixed bin(31) value('00004016'xn);
 dcl MCI_VCR_STATUS_VIDEO_RECORD      fixed bin(31) value('00004017'xn);
 dcl MCI_VCR_STATUS_AUDIO_RECORD      fixed bin(31) value('00004018'xn);
 dcl MCI_VCR_STATUS_TIME_TYPE         fixed bin(31) value('00004019'xn);
 dcl MCI_VCR_STATUS_TIME_MODE         fixed bin(31) value('0000401A'xn);
 dcl MCI_VCR_STATUS_POWER_ON          fixed bin(31) value('0000401B'xn);
 dcl MCI_VCR_STATUS_CLOCK             fixed bin(31) value('0000401C'xn);
 dcl MCI_VCR_STATUS_ASSEMBLE_RECORD   fixed bin(31) value('0000401D'xn);
 dcl MCI_VCR_STATUS_TIMECODE_PRESENT  fixed bin(31) value('0000401E'xn);
 dcl MCI_VCR_STATUS_NUMBER_OF_VIDEO_TRACKS
                                      fixed bin(31) value('0000401F'xn);
 dcl MCI_VCR_STATUS_NUMBER_OF_AUDIO_TRACKS
                                      fixed bin(31) value('00004020'xn);
 dcl MCI_VCR_STATUS_CLOCK_ID          fixed bin(31) value('00004021'xn);
 dcl MCI_VCR_STATUS_PAUSE_TIMEOUT     fixed bin(31) value('00004022'xn);
 dcl MCI_VCR_STATUS_PREROLL_DURATION  fixed bin(31) value('00004023'xn);
 dcl MCI_VCR_STATUS_POSTROLL_DURATION fixed bin(31) value('00004024'xn);
 dcl MCI_VCR_STATUS_VIDEO             fixed bin(31) value('00004025'xn);
 dcl MCI_VCR_STATUS_AUDIO             fixed bin(31) value('00004026'xn);

 dcl MCI_VCR_STATUS_NUMBER            fixed bin(31) value('00080000'xn);

 /* flags for dwFlags parameter of MCI_ESCAPE command message */
 dcl MCI_VCR_ESCAPE_STRING            fixed bin(31) value('00000100'xn);

 /* flags for dwFlags parameter of MCI_LIST command message */
 dcl MCI_VCR_LIST_VIDEO_SOURCE        fixed bin(31) value('00010000'xn);
 dcl MCI_VCR_LIST_AUDIO_SOURCE        fixed bin(31) value('00020000'xn);
 dcl MCI_VCR_LIST_COUNT               fixed bin(31) value('00040000'xn);
 dcl MCI_VCR_LIST_NUMBER              fixed bin(31) value('00080000'xn);

 /* flags for dwFlags parameter of MCI_MARK command message */
 dcl MCI_VCR_MARK_WRITE               fixed bin(31) value('00010000'xn);
 dcl MCI_VCR_MARK_ERASE               fixed bin(31) value('00020000'xn);

 /* flags for dwFlags parameter for MCI_SETAUDIO command message */
 dcl MCI_VCR_SETAUDIO_RECORD          fixed bin(31) value('00010000'xn);
 dcl MCI_VCR_SETAUDIO_SOURCE          fixed bin(31) value('00020000'xn);
 dcl MCI_VCR_SETAUDIO_MONITOR         fixed bin(31) value('00040000'xn);
 dcl MCI_VCR_SETAUDIO_TO              fixed bin(31) value('00200000'xn);
 dcl MCI_VCR_SETAUDIO_NUMBER          fixed bin(31) value('00400000'xn);

 /* flags for dwFlags parameter for MCI_SETVIDEO command message */
 dcl MCI_VCR_SETVIDEO_RECORD          fixed bin(31) value('00010000'xn);
 dcl MCI_VCR_SETVIDEO_SOURCE          fixed bin(31) value('00020000'xn);
 dcl MCI_VCR_SETVIDEO_MONITOR         fixed bin(31) value('00040000'xn);
 dcl MCI_VCR_SETVIDEO_TO              fixed bin(31) value('00100000'xn);
 dcl MCI_VCR_SETVIDEO_NUMBER          fixed bin(31) value('00200000'xn);

 /* The following is the function digitalvideo drivers must use       */
 /* to signal when a frame marked by the SIGNAL command has been      */
 /* rendered:                                                         */
 /*  SEND_VCRSIGNAL (dwFlags, dwCallback, hDriver, wDeviceID, dwUser, */
 /*                  dwPos)                                           */
 /*                                                                   */
 /* The following is a description of the parameters:                 */
 /*                                                                   */
 /*  dwFlags    - the dwFlags parameter passed when the signal was set*/
 /*  dwCallback - the dwCallback value from the MCI_VCR_SIGNAL_PARMS  */
 /*               struct used to set the signal                       */
 /*  hDriver    - the handle assigned to the driver by MMSYSTEM when  */
 /*               the device was opened                               */
 /*  wDeviceID  - the device ID                                       */
 /*  dwUser     - the dwUserParm value from the MCI_VCR_SIGNAL_PARMS  */
 /*               struct used to set the signal                       */
 /*  dwPos      - the position at which the signal was sent, in the   */
 /*               current time format.                                */
 /*                                                                   */
 /* The window indicated by the handle in the dwCallback field is     */
 /* notified by means of a Windows message with the following form:   */
 /*                                                                   */
 /* msg    = MM_MCISIGNAL                                             */
 /* wParam = wDeviceID of the sending driver                          */
 /* lParam = the uservalue specified or the position the signal was   */
 /*          sent at - the latter if the MCI_VCR_SIGNAL_POSITION flag */
 /*          was set in the dwFlags parameter when the signal was     */
 /*          created.                                                 */

 /* Note: DriverCallback is a routine declared by the user            */
 /* to permit PL/I support, user should set HAS_DRIVERCALLBACK to 'Y' */
 /* templace for DriverCallback                                       */
 /* DriverCallback: proc (dwCallBack, dwFlags, hdrvr,                 */
 /*                       msg, dwUser, dwParam1, dwParam2)            */
 /*                 returns (type BOOLEAN)                            */
 /*   dcl dwCallBack type DWORD,                                      */
 /*       dwFlags    type DWORD,                                      */
 /*       hdrvr      type HDRVR,                                      */
 /*       msg        type DWORD,                                      */
 /*       dwUser     type DWORD,                                      */
 /*       dwParam1   type DWORD,                                      */
 /*       dwParam2   type DWORD                                       */
 /* end DriverCallback                                                */
 %dcl HAS_DRIVERCALLBACK char ext;
 %if HAS_DRIVERCALLBACK ^= '' %then %do;
 SEND_VCRSIGNAL: proc (dwFlags, dwCallback, hDriver,
                       wDeviceID, dwUser, dwPos)
                 returns (fixed bin (31))
                 options (inline reorder) internal;
   dcl dwFlags    type DWORD,
       dwCallBack type DWORD,
       hDriver    type HDRVR,
       wDeviceId  type HANDLE,
       dwUser     type DWORD,
       dwPos      type DWORD;

   dcl iand builtin;
   dcl dwParam1   type DWORD,
       dwParam2   type DWORD;

   if iand (dwFlags, MCI_VCR_SIGNAL_POSITION) ^= 0 then
     dwParam1 = dwPos;
   else
     dwParam1 = dwUser;
   if iand (dwFlags, MCI_VCR_SIGNAL_POSITION) ^= 0 then
     dwParam2 = dwUser;
   else
     dwParam2 = dwPos;
   return (DriverCallback (dwCallback, DCB_WINDOW, wDeviceID,
           MM_MCISIGNAL, binvalue(hDriver), dwParam1, dwParam2));
 end SEND_VCRSIGNAL;
 %end;


 /* Window message for signal notification */
 /* dcl MM_MCISIGNAL    fixed bin(15) value('3CB'xn) */

 /* flags for dwFlags parameter of MCI_SIGNAL command message */
 dcl MCI_VCR_SIGNAL_AT                fixed bin(31) value('00010000'xn);
 dcl MCI_VCR_SIGNAL_EVERY             fixed bin(31) value('00020000'xn);
 dcl MCI_VCR_SIGNAL_USERVAL           fixed bin(31) value('00040000'xn);
 dcl MCI_VCR_SIGNAL_CANCEL            fixed bin(31) value('00080000'xn);
 dcl MCI_VCR_SIGNAL_POSITION          fixed bin(31) value('00100000'xn);

 /* flags for dwFlags parameter of MCI_STEP command message */
 dcl MCI_VCR_STEP_FRAMES              fixed bin(31) value('00010000'xn);
 dcl MCI_VCR_STEP_REVERSE             fixed bin(31) value('00020000'xn);

 /* flags for dwFlags parameter of MCI_FREEZE command message */
 dcl MCI_VCR_FREEZE_INPUT             fixed bin(31) value('00010000'xn);
 dcl MCI_VCR_FREEZE_OUTPUT            fixed bin(31) value('00020000'xn);
 dcl MCI_VCR_FREEZE_FIELD             fixed bin(31) value('00040000'xn);
 dcl MCI_VCR_FREEZE_FRAME             fixed bin(31) value('00080000'xn);

 /* flags for dwFlags parameter of MCI_UNFREEZE command message */
 dcl MCI_VCR_UNFREEZE_INPUT           fixed bin(31) value('00010000'xn);
 dcl MCI_VCR_UNFREEZE_OUTPUT          fixed bin(31) value('00020000'xn);

 /* string resource values for vcr media types */
 dcl MCI_VCR_MEDIA_8MM           fixed bin(31) value(MCI_VCR_OFFSET+ 1);
 dcl MCI_VCR_MEDIA_HI8           fixed bin(31) value(MCI_VCR_OFFSET+ 2);
 dcl MCI_VCR_MEDIA_VHS           fixed bin(31) value(MCI_VCR_OFFSET+ 3);
 dcl MCI_VCR_MEDIA_SVHS          fixed bin(31) value(MCI_VCR_OFFSET+ 4);
 dcl MCI_VCR_MEDIA_BETA          fixed bin(31) value(MCI_VCR_OFFSET+ 5);
 dcl MCI_VCR_MEDIA_EDBETA        fixed bin(31) value(MCI_VCR_OFFSET+ 6);
 dcl MCI_VCR_MEDIA_OTHER         fixed bin(31) value(MCI_VCR_OFFSET+ 7);

 /* string resource values for vcr play/record formats */
 dcl MCI_VCR_FORMAT_SP           fixed bin(31) value(MCI_VCR_OFFSET+ 8);
 dcl MCI_VCR_FORMAT_LP           fixed bin(31) value(MCI_VCR_OFFSET+ 9);
 dcl MCI_VCR_FORMAT_EP           fixed bin(31) value(MCI_VCR_OFFSET+10);
 dcl MCI_VCR_FORMAT_OTHER        fixed bin(31) value(MCI_VCR_OFFSET+11);

 /* string resource values for timecode types */
 dcl MCI_VCR_TIME_TIMECODE       fixed bin(31) value(MCI_VCR_OFFSET+12);
 dcl MCI_VCR_TIME_COUNTER        fixed bin(31) value(MCI_VCR_OFFSET+13);
 dcl MCI_VCR_TIME_DETECT         fixed bin(31) value(MCI_VCR_OFFSET+14);

 /* string resource values for src types */
 dcl MCI_VCR_SRC_TYPE_TUNER      fixed bin(31) value(MCI_VCR_OFFSET+15);
 dcl MCI_VCR_SRC_TYPE_LINE       fixed bin(31) value(MCI_VCR_OFFSET+16);
 dcl MCI_VCR_SRC_TYPE_SVIDEO     fixed bin(31) value(MCI_VCR_OFFSET+17);
 dcl MCI_VCR_SRC_TYPE_RGB        fixed bin(31) value(MCI_VCR_OFFSET+18);
 dcl MCI_VCR_SRC_TYPE_AUX        fixed bin(31) value(MCI_VCR_OFFSET+19);
 dcl MCI_VCR_SRC_TYPE_GENERIC    fixed bin(31) value(MCI_VCR_OFFSET+20);
 dcl MCI_VCR_SRC_TYPE_MUTE       fixed bin(31) value(MCI_VCR_OFFSET+21);
 dcl MCI_VCR_SRC_TYPE_OUTPUT     fixed bin(31) value(MCI_VCR_OFFSET+22);

 /* string resource values for vcr counters */
 dcl MCI_VCR_INDEX_TIMECODE      fixed bin(31) value(MCI_VCR_OFFSET+23);
 dcl MCI_VCR_INDEX_COUNTER       fixed bin(31) value(MCI_VCR_OFFSET+24);
 dcl MCI_VCR_INDEX_DATE          fixed bin(31) value(MCI_VCR_OFFSET+25);
 dcl MCI_VCR_INDEX_TIME          fixed bin(31) value(MCI_VCR_OFFSET+26);

 /* string resources for timecode type and counter resolution */
 dcl MCI_VCR_COUNTER_RES_SECONDS fixed bin(31) value(MCI_VCR_OFFSET+27);
 dcl MCI_VCR_COUNTER_RES_FRAMES  fixed bin(31) value(MCI_VCR_OFFSET+28);

 dcl MCI_VCR_TIMECODE_TYPE_SMPTE fixed bin(31) value(MCI_VCR_OFFSET+29);
 dcl MCI_VCR_TIMECODE_TYPE_SMPTE_DROP
                                 fixed bin(31) value(MCI_VCR_OFFSET+30);
 dcl MCI_VCR_TIMECODE_TYPE_OTHER fixed bin(31) value(MCI_VCR_OFFSET+31);
 dcl MCI_VCR_TIMECODE_TYPE_NONE  fixed bin(31) value(MCI_VCR_OFFSET+32);

 dcl MCI_VCR_PLUS                fixed bin(31) value(MCI_VCR_OFFSET+33);
 dcl MCI_VCR_MINUS               fixed bin(31) value(MCI_VCR_OFFSET+34);
 dcl MCI_VCR_RESET               fixed bin(31) value(MCI_VCR_OFFSET+35);


 /* parameter block for MCI_SEEK command message */
 define structure
   1 MCI_VCR_SEEK_PARMS,
     2 dwCallback type DWORD,
     2 dwTo       type DWORD,
     2 dwMark     type DWORD,
     2 dwAt       type DWORD;
 define alias LPMCI_VCR_SEEK_PARMS handle MCI_VCR_SEEK_PARMS;

 /* parameter block for MCI_SET command message */
 define structure
   1 MCI_VCR_SET_PARMS,
     2 dwCallback         type DWORD,
     2 dwTimeFormat       type DWORD,
     2 dwAudio            type DWORD,
     2 dwTimeMode         type DWORD,
     2 dwRecordFormat     type DWORD,
     2 dwCounterFormat    type DWORD,
     2 dwIndex            type DWORD,
     2 dwTracking         type DWORD,
     2 dwSpeed            type DWORD,
     2 dwLength           type DWORD,
     2 dwCounter          type DWORD,
     2 dwClock            type DWORD,
     2 dwPauseTimeout     type DWORD,
     2 dwPrerollDuration  type DWORD,
     2 dwPostrollDuration type DWORD;
 define alias LPMCI_VCR_SET_PARMS handle MCI_VCR_SET_PARMS;

 /* parameter block for MCI_VCR_SETTUNER command message */
 define structure
   1 MCI_VCR_SETTUNER_PARMS,
     2 dwCallback type DWORD,
     2 dwChannel  type DWORD,
     2 dwNumber   type DWORD;
 define alias LPMCI_VCR_SETTUNER_PARMS handle MCI_VCR_SETTUNER_PARMS;

 /* parameter block for MCI_ESCAPE command message */
 define structure
   1 MCI_VCR_ESCAPE_PARMS,
     2 dwCallback   type DWORD,
     2 lpstrCommand type LPCSTR;
 define alias LPMCI_VCR_ESCAPE_PARMS handle MCI_VCR_ESCAPE_PARMS;

 /* parameter block for MCI_LIST command message */
 define structure
   1 MCI_VCR_LIST_PARMS,
     2 dwCallback type DWORD,
     2 dwReturn   type DWORD,
     2 dwNumber   type DWORD;
 define alias LPMCI_VCR_LIST_PARMS handle MCI_VCR_LIST_PARMS;

 /* parameter block for MCI_RECORD command message */
 define structure
   1 MCI_VCR_RECORD_PARMS,
     2 dwCallback type DWORD,
     2 dwFrom     type DWORD,
     2 dwTo       type DWORD,
     2 dwAt       type DWORD;
 define alias LPMCI_VCR_RECORD_PARMS handle MCI_VCR_RECORD_PARMS;

 /* parameter block for MCI_PLAY command message */
 define structure
   1 MCI_VCR_PLAY_PARMS,
     2 dwCallback type DWORD,
     2 dwFrom     type DWORD,
     2 dwTo       type DWORD,
     2 dwAt       type DWORD;
 define alias LPMCI_VCR_PLAY_PARMS handle MCI_VCR_PLAY_PARMS;

 /* parameter block for MCI_SETAUDIO command message */
 define structure
   1 MCI_VCR_SETAUDIO_PARMS,
     2 dwCallback type DWORD,
     2 dwTrack    type DWORD,
     2 dwTo       type DWORD,
     2 dwNumber   type DWORD;
 define alias LPMCI_VCR_SETAUDIO_PARMS handle MCI_VCR_SETAUDIO_PARMS;

 /* parameter block for MCI_SIGNAL command message */
 define structure
   1 MCI_VCR_SIGNAL_PARMS,
     2 dwCallback type DWORD,
     2 dwPosition type DWORD,
     2 dwPeriod   type DWORD,
     2 dwUserParm type DWORD;
 define alias LPMCI_VCR_SIGNAL_PARMS handle MCI_VCR_SIGNAL_PARMS;

 /* parameter block for MCI_VCR_STATUS command message */
 define structure
   1 MCI_VCR_STATUS_PARMS,
     2 dwCallback type DWORD,
     2 dwReturn   type DWORD,
     2 dwItem     type DWORD,
     2 dwTrack    type DWORD,
     2 dwNumber   type DWORD;
 define alias LPMCI_VCR_STATUS_PARMS handle MCI_VCR_STATUS_PARMS;

 /* parameter block for MCI_SETVIDEO command message */
 define structure
   1 MCI_VCR_SETVIDEO_PARMS,
     2 dwCallback type DWORD,
     2 dwTrack    type DWORD,
     2 dwTo       type DWORD,
     2 dwNumber   type DWORD;
 define alias LPMCI_VCR_SETVIDEO_PARMS handle MCI_VCR_SETVIDEO_PARMS;

 /* parameter block for MCI_STEP command message */
 define structure
   1 MCI_VCR_STEP_PARMS,
     2 dwCallback type DWORD,
     2 dwFrames   type DWORD;
 define alias LPMCI_VCR_STEP_PARMS handle MCI_VCR_STEP_PARMS;

 /* parameter block for MCI_CUE command message */
 define structure
   1 MCI_VCR_CUE_PARMS,
     2 dwCallback type DWORD,
     2 dwFrom     type DWORD,
     2 dwTo       type DWORD;
 define alias LPMCI_VCR_CUE_PARMS handle MCI_VCR_CUE_PARMS;


 dcl /* VCR error codes */
 ( MCIERR_VCR_CANNOT_OPEN_COMM    value(MCIERR_CUSTOM_DRIVER_BASE +  1)
 , MCIERR_VCR_CANNOT_WRITE_COMM   value(MCIERR_CUSTOM_DRIVER_BASE +  2)
 , MCIERR_VCR_READ_TIMEOUT        value(MCIERR_CUSTOM_DRIVER_BASE +  3)
 , MCIERR_VCR_COMMAND_BUFFER_FULL value(MCIERR_CUSTOM_DRIVER_BASE +  4)
 , MCIERR_VCR_COMMAND_CANCELLED   value(MCIERR_CUSTOM_DRIVER_BASE +  5)
 , MCIERR_VCR_POWER_OFF           value(MCIERR_CUSTOM_DRIVER_BASE +  6)
 , MCIERR_VCR_COMMAND_FAILED      value(MCIERR_CUSTOM_DRIVER_BASE +  7)
 , MCIERR_VCR_SEARCH              value(MCIERR_CUSTOM_DRIVER_BASE +  8)
 , MCIERR_VCR_CONDITION           value(MCIERR_CUSTOM_DRIVER_BASE +  9)
 , MCIERR_VCR_CAMERA_MODE         value(MCIERR_CUSTOM_DRIVER_BASE + 10)
 , MCIERR_VCR_VCR_MODE            value(MCIERR_CUSTOM_DRIVER_BASE + 11)
 , MCIERR_VCR_COUNTER_TYPE        value(MCIERR_CUSTOM_DRIVER_BASE + 12)
 , MCIERR_VCR_TUNER               value(MCIERR_CUSTOM_DRIVER_BASE + 13)
 , MCIERR_VCR_EMERGENCY_STOP      value(MCIERR_CUSTOM_DRIVER_BASE + 14)
 , MCIERR_VCR_MEDIA_UNMOUNTED     value(MCIERR_CUSTOM_DRIVER_BASE + 15)
 , MCIERR_VCR_REGISTER            value(MCIERR_CUSTOM_DRIVER_BASE + 16)
 , MCIERR_VCR_TRACK_FAILURE       value(MCIERR_CUSTOM_DRIVER_BASE + 17)
 , MCIERR_VCR_CUE_FAILED_FLAGS    value(MCIERR_CUSTOM_DRIVER_BASE + 18)
 , MCIERR_VCR_ISWRITEPROTECTED    value(MCIERR_CUSTOM_DRIVER_BASE + 19)
 ) fixed bin(31);

 %end; /* #INC_VCR */
